/*
 * Copyright (C) 2007 Novell, Inc (http://www.novell.com)
 *
 * Permission is hereby granted, free of charge, to any person obtaining a copy of this software
 * and associated documentation files (the "Software"), to deal in the Software without restriction,
 * including without limitation the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the Software is furnished to do so,
 * subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included in all copies or substantial
 * portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR IMPLIED, INCLUDING BUT
 * NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT.
 * IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
 * WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE
 * OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.
 *
 * Authors:
 *            Larry Ewing <lewing@novell.com> (via script)   
 *          
 */

#ifndef CAIRO_EMBED_H_
#define CAIRO_EMBED_H_
#define _cairo_analysis_surface_add_operation _moonlight_cairo_analysis_surface_add_operation
#define _cairo_analysis_surface_analyze_meta_surface_pattern _moonlight_cairo_analysis_surface_analyze_meta_surface_pattern
#define _cairo_analysis_surface_create _moonlight_cairo_analysis_surface_create
#define _cairo_analysis_surface_fill _moonlight_cairo_analysis_surface_fill
#define _cairo_analysis_surface_finish _moonlight_cairo_analysis_surface_finish
#define _cairo_analysis_surface_get_bounding_box _moonlight_cairo_analysis_surface_get_bounding_box
#define _cairo_analysis_surface_get_extents _moonlight_cairo_analysis_surface_get_extents
#define _cairo_analysis_surface_get_supported _moonlight_cairo_analysis_surface_get_supported
#define _cairo_analysis_surface_get_unsupported _moonlight_cairo_analysis_surface_get_unsupported
#define _cairo_analysis_surface_has_supported _moonlight_cairo_analysis_surface_has_supported
#define _cairo_analysis_surface_has_unsupported _moonlight_cairo_analysis_surface_has_unsupported
#define _cairo_analysis_surface_intersect_clip_path _moonlight_cairo_analysis_surface_intersect_clip_path
#define _cairo_analysis_surface_mask _moonlight_cairo_analysis_surface_mask
#define _cairo_analysis_surface_paint _moonlight_cairo_analysis_surface_paint
#define _cairo_analysis_surface_show_glyphs _moonlight_cairo_analysis_surface_show_glyphs
#define _cairo_analysis_surface_stroke _moonlight_cairo_analysis_surface_stroke
#define _cairo_arc_in_direction _moonlight_cairo_arc_in_direction
#define _cairo_arc_path _moonlight_cairo_arc_path
#define _cairo_arc_path_negative _moonlight_cairo_arc_path_negative
#define _cairo_array_allocate _moonlight_cairo_array_allocate
#define _cairo_array_append _moonlight_cairo_array_append
#define _cairo_array_append_multiple _moonlight_cairo_array_append_multiple
#define _cairo_array_copy_element _moonlight_cairo_array_copy_element
#define _cairo_array_fini _moonlight_cairo_array_fini
#define _cairo_array_grow_by _moonlight_cairo_array_grow_by
#define _cairo_array_index _moonlight_cairo_array_index
#define _cairo_array_init _moonlight_cairo_array_init
#define _cairo_array_init_snapshot _moonlight_cairo_array_init_snapshot
#define _cairo_array_num_elements _moonlight_cairo_array_num_elements
#define _cairo_array_size _moonlight_cairo_array_size
#define _cairo_array_truncate _moonlight_cairo_array_truncate
#define _cairo_atomic_int_cmpxchg _moonlight_cairo_atomic_int_cmpxchg
#define _cairo_atomic_int_dec_and_test _moonlight_cairo_atomic_int_dec_and_test
#define _cairo_atomic_int_inc _moonlight_cairo_atomic_int_inc
#define _cairo_atomic_mutex _moonlight_cairo_atomic_mutex
#define _cairo_base85_stream_close _moonlight_cairo_base85_stream_close
#define _cairo_base85_stream_create _moonlight_cairo_base85_stream_create
#define _cairo_base85_stream_write _moonlight_cairo_base85_stream_write
#define _cairo_bentley_ottmann_tessellate_polygon _moonlight_cairo_bentley_ottmann_tessellate_polygon
#define _cairo_bo_edge_contains_intersect_point _moonlight_cairo_bo_edge_contains_intersect_point
#define _cairo_bo_edge_end_trap _moonlight_cairo_bo_edge_end_trap
#define _cairo_bo_event_init _moonlight_cairo_bo_event_init
#define _cairo_bo_event_queue_insert_if_intersect_below_current_y _moonlight_cairo_bo_event_queue_insert_if_intersect_below_current_y
#define _cairo_bo_intersect_ordinate_32_compare _moonlight_cairo_bo_intersect_ordinate_32_compare
#define _cairo_bo_sweep_line_validate _moonlight_cairo_bo_sweep_line_validate
#define _cairo_box_contains_point _moonlight_cairo_box_contains_point
#define _cairo_box_intersects_line_segment _moonlight_cairo_box_intersects_line_segment
#define _cairo_box_round_to_rectangle _moonlight_cairo_box_round_to_rectangle
#define _cairo_cache_create _moonlight_cairo_cache_create
#define _cairo_cache_destroy _moonlight_cairo_cache_destroy
#define _cairo_cache_foreach _moonlight_cairo_cache_foreach
#define _cairo_cache_freeze _moonlight_cairo_cache_freeze
#define _cairo_cache_insert _moonlight_cairo_cache_insert
#define _cairo_cache_lookup _moonlight_cairo_cache_lookup
#define _cairo_cache_remove _moonlight_cairo_cache_remove
#define _cairo_cache_shrink_to_accommodate _moonlight_cairo_cache_shrink_to_accommodate
#define _cairo_cache_thaw _moonlight_cairo_cache_thaw
#define _cairo_cff_dict_equal _moonlight_cairo_cff_dict_equal
#define _cairo_cff_fallback_fini _moonlight_cairo_cff_fallback_fini
#define _cairo_cff_fallback_init _moonlight_cairo_cff_fallback_init
#define _cairo_cff_subset_fini _moonlight_cairo_cff_subset_fini
#define _cairo_cff_subset_init _moonlight_cairo_cff_subset_init
#define _cairo_clip_clip _moonlight_cairo_clip_clip
#define _cairo_clip_combine_to_surface _moonlight_cairo_clip_combine_to_surface
#define _cairo_clip_copy_rectangle_list _moonlight_cairo_clip_copy_rectangle_list
#define _cairo_clip_init _moonlight_cairo_clip_init
#define _cairo_clip_init_copy _moonlight_cairo_clip_init_copy
#define _cairo_clip_init_deep_copy _moonlight_cairo_clip_init_deep_copy
#define _cairo_clip_int_rect_to_user _moonlight_cairo_clip_int_rect_to_user
#define _cairo_clip_intersect_path _moonlight_cairo_clip_intersect_path
#define _cairo_clip_intersect_to_rectangle _moonlight_cairo_clip_intersect_to_rectangle
#define _cairo_clip_intersect_to_region _moonlight_cairo_clip_intersect_to_region
#define _cairo_clip_path_destroy _moonlight_cairo_clip_path_destroy
#define _cairo_clip_path_reapply_clip_path _moonlight_cairo_clip_path_reapply_clip_path
#define _cairo_clip_reset _moonlight_cairo_clip_reset
#define _cairo_clip_set_all_clipped _moonlight_cairo_clip_set_all_clipped
#define _cairo_clip_translate _moonlight_cairo_clip_translate
#define _cairo_color_compute_shorts _moonlight_cairo_color_compute_shorts
#define _cairo_color_double_to_short _moonlight_cairo_color_double_to_short
#define _cairo_color_equal _moonlight_cairo_color_equal
#define _cairo_color_get_rgba _moonlight_cairo_color_get_rgba
#define _cairo_color_get_rgba_premultiplied _moonlight_cairo_color_get_rgba_premultiplied
#define _cairo_color_init _moonlight_cairo_color_init
#define _cairo_color_init_rgb _moonlight_cairo_color_init_rgb
#define _cairo_color_init_rgba _moonlight_cairo_color_init_rgba
#define _cairo_color_multiply_alpha _moonlight_cairo_color_multiply_alpha
#define _cairo_command_get_path _moonlight_cairo_command_get_path
#define _cairo_content_from_format _moonlight_cairo_content_from_format
#define _cairo_deflate_stream_close _moonlight_cairo_deflate_stream_close
#define _cairo_deflate_stream_create _moonlight_cairo_deflate_stream_create
#define _cairo_deflate_stream_write _moonlight_cairo_deflate_stream_write
#define _cairo_dict_collect _moonlight_cairo_dict_collect
#define _cairo_dict_init_key _moonlight_cairo_dict_init_key
#define _cairo_dtostr _moonlight_cairo_dtostr
#define _cairo_error _moonlight_cairo_error
#define _cairo_filler_close_path _moonlight_cairo_filler_close_path
#define _cairo_filler_curve_to _moonlight_cairo_filler_curve_to
#define _cairo_filler_line_to _moonlight_cairo_filler_line_to
#define _cairo_filler_move_to _moonlight_cairo_filler_move_to
#define _cairo_font_face_init _moonlight_cairo_font_face_init
#define _cairo_font_face_mutex _moonlight_cairo_font_face_mutex
#define _cairo_font_face_nil _moonlight_cairo_font_face_nil
#define _cairo_font_face_set_error _moonlight_cairo_font_face_set_error
#define _cairo_font_options_init_copy _moonlight_cairo_font_options_init_copy
#define _cairo_font_options_init_default _moonlight_cairo_font_options_init_default
#define _cairo_font_options_nil _moonlight_cairo_font_options_nil
#define _cairo_font_reset_static_data _moonlight_cairo_font_reset_static_data
#define _cairo_format_bits_per_pixel _moonlight_cairo_format_bits_per_pixel
#define _cairo_format_from_content _moonlight_cairo_format_from_content
#define _cairo_format_to_pixman_format_code _moonlight_cairo_format_to_pixman_format_code
#define _cairo_freelist_alloc _moonlight_cairo_freelist_alloc
#define _cairo_freelist_calloc _moonlight_cairo_freelist_calloc
#define _cairo_freelist_fini _moonlight_cairo_freelist_fini
#define _cairo_freelist_free _moonlight_cairo_freelist_free
#define _cairo_freelist_init _moonlight_cairo_freelist_init
#define _cairo_ft_font_face_backend _moonlight_cairo_ft_font_face_backend
#define _cairo_ft_font_face_create _moonlight_cairo_ft_font_face_create
#define _cairo_ft_font_face_destroy _moonlight_cairo_ft_font_face_destroy
#define _cairo_ft_font_face_scaled_font_create _moonlight_cairo_ft_font_face_scaled_font_create
#define _cairo_ft_font_options_substitute _moonlight_cairo_ft_font_options_substitute
#define _cairo_ft_font_reset_static_data _moonlight_cairo_ft_font_reset_static_data
#define _cairo_ft_load_truetype_table _moonlight_cairo_ft_load_truetype_table
#define _cairo_ft_map_glyphs_to_unicode _moonlight_cairo_ft_map_glyphs_to_unicode
#define _cairo_ft_scaled_font_create _moonlight_cairo_ft_scaled_font_create
#define _cairo_ft_scaled_font_create_toy _moonlight_cairo_ft_scaled_font_create_toy
#define _cairo_ft_scaled_font_fini _moonlight_cairo_ft_scaled_font_fini
#define _cairo_ft_scaled_font_get_unscaled_font _moonlight_cairo_ft_scaled_font_get_unscaled_font
#define _cairo_ft_scaled_font_is_vertical _moonlight_cairo_ft_scaled_font_is_vertical
#define _cairo_ft_scaled_glyph_init _moonlight_cairo_ft_scaled_glyph_init
#define _cairo_ft_scaled_glyph_vertical_layout_bearing_fix _moonlight_cairo_ft_scaled_glyph_vertical_layout_bearing_fix
#define _cairo_ft_ucs4_to_index _moonlight_cairo_ft_ucs4_to_index
#define _cairo_ft_unscaled_font_create_for_pattern _moonlight_cairo_ft_unscaled_font_create_for_pattern
#define _cairo_ft_unscaled_font_destroy _moonlight_cairo_ft_unscaled_font_destroy
#define _cairo_ft_unscaled_font_fini _moonlight_cairo_ft_unscaled_font_fini
#define _cairo_ft_unscaled_font_init _moonlight_cairo_ft_unscaled_font_init
#define _cairo_ft_unscaled_font_init_key _moonlight_cairo_ft_unscaled_font_init_key
#define _cairo_ft_unscaled_font_keys_equal _moonlight_cairo_ft_unscaled_font_keys_equal
#define _cairo_ft_unscaled_font_lock_face _moonlight_cairo_ft_unscaled_font_lock_face
#define _cairo_ft_unscaled_font_map_lock _moonlight_cairo_ft_unscaled_font_map_lock
#define _cairo_ft_unscaled_font_map_mutex _moonlight_cairo_ft_unscaled_font_map_mutex
#define _cairo_ft_unscaled_font_map_unlock _moonlight_cairo_ft_unscaled_font_map_unlock
#define _cairo_ft_unscaled_font_set_scale _moonlight_cairo_ft_unscaled_font_set_scale
#define _cairo_ft_unscaled_font_unlock_face _moonlight_cairo_ft_unscaled_font_unlock_face
#define _cairo_gstate_backend_to_user _moonlight_cairo_gstate_backend_to_user
#define _cairo_gstate_backend_to_user_rectangle _moonlight_cairo_gstate_backend_to_user_rectangle
#define _cairo_gstate_clip _moonlight_cairo_gstate_clip
#define _cairo_gstate_clip_extents _moonlight_cairo_gstate_clip_extents
#define _cairo_gstate_copy_clip_rectangle_list _moonlight_cairo_gstate_copy_clip_rectangle_list
#define _cairo_gstate_copy_page _moonlight_cairo_gstate_copy_page
#define _cairo_gstate_copy_transformed_pattern _moonlight_cairo_gstate_copy_transformed_pattern
#define _cairo_gstate_copy_transformed_source _moonlight_cairo_gstate_copy_transformed_source
#define _cairo_gstate_device_to_user _moonlight_cairo_gstate_device_to_user
#define _cairo_gstate_device_to_user_distance _moonlight_cairo_gstate_device_to_user_distance
#define _cairo_gstate_ensure_font_face _moonlight_cairo_gstate_ensure_font_face
#define _cairo_gstate_ensure_scaled_font _moonlight_cairo_gstate_ensure_scaled_font
#define _cairo_gstate_fill _moonlight_cairo_gstate_fill
#define _cairo_gstate_fill_extents _moonlight_cairo_gstate_fill_extents
#define _cairo_gstate_fini _moonlight_cairo_gstate_fini
#define _cairo_gstate_get_antialias _moonlight_cairo_gstate_get_antialias
#define _cairo_gstate_get_clip _moonlight_cairo_gstate_get_clip
#define _cairo_gstate_get_dash _moonlight_cairo_gstate_get_dash
#define _cairo_gstate_get_fill_rule _moonlight_cairo_gstate_get_fill_rule
#define _cairo_gstate_get_font_extents _moonlight_cairo_gstate_get_font_extents
#define _cairo_gstate_get_font_face _moonlight_cairo_gstate_get_font_face
#define _cairo_gstate_get_font_matrix _moonlight_cairo_gstate_get_font_matrix
#define _cairo_gstate_get_font_options _moonlight_cairo_gstate_get_font_options
#define _cairo_gstate_get_line_cap _moonlight_cairo_gstate_get_line_cap
#define _cairo_gstate_get_line_join _moonlight_cairo_gstate_get_line_join
#define _cairo_gstate_get_line_width _moonlight_cairo_gstate_get_line_width
#define _cairo_gstate_get_matrix _moonlight_cairo_gstate_get_matrix
#define _cairo_gstate_get_miter_limit _moonlight_cairo_gstate_get_miter_limit
#define _cairo_gstate_get_operator _moonlight_cairo_gstate_get_operator
#define _cairo_gstate_get_original_target _moonlight_cairo_gstate_get_original_target
#define _cairo_gstate_get_parent_target _moonlight_cairo_gstate_get_parent_target
#define _cairo_gstate_get_scaled_font _moonlight_cairo_gstate_get_scaled_font
#define _cairo_gstate_get_source _moonlight_cairo_gstate_get_source
#define _cairo_gstate_get_target _moonlight_cairo_gstate_get_target
#define _cairo_gstate_get_tolerance _moonlight_cairo_gstate_get_tolerance
#define _cairo_gstate_glyph_extents _moonlight_cairo_gstate_glyph_extents
#define _cairo_gstate_glyph_path _moonlight_cairo_gstate_glyph_path
#define _cairo_gstate_identity_matrix _moonlight_cairo_gstate_identity_matrix
#define _cairo_gstate_in_fill _moonlight_cairo_gstate_in_fill
#define _cairo_gstate_in_stroke _moonlight_cairo_gstate_in_stroke
#define _cairo_gstate_init _moonlight_cairo_gstate_init
#define _cairo_gstate_is_redirected _moonlight_cairo_gstate_is_redirected
#define _cairo_gstate_mask _moonlight_cairo_gstate_mask
#define _cairo_gstate_paint _moonlight_cairo_gstate_paint
#define _cairo_gstate_path_extents _moonlight_cairo_gstate_path_extents
#define _cairo_gstate_redirect_target _moonlight_cairo_gstate_redirect_target
#define _cairo_gstate_reset_clip _moonlight_cairo_gstate_reset_clip
#define _cairo_gstate_restore _moonlight_cairo_gstate_restore
#define _cairo_gstate_rotate _moonlight_cairo_gstate_rotate
#define _cairo_gstate_save _moonlight_cairo_gstate_save
#define _cairo_gstate_scale _moonlight_cairo_gstate_scale
#define _cairo_gstate_select_font_face _moonlight_cairo_gstate_select_font_face
#define _cairo_gstate_set_antialias _moonlight_cairo_gstate_set_antialias
#define _cairo_gstate_set_dash _moonlight_cairo_gstate_set_dash
#define _cairo_gstate_set_fill_rule _moonlight_cairo_gstate_set_fill_rule
#define _cairo_gstate_set_font_face _moonlight_cairo_gstate_set_font_face
#define _cairo_gstate_set_font_matrix _moonlight_cairo_gstate_set_font_matrix
#define _cairo_gstate_set_font_options _moonlight_cairo_gstate_set_font_options
#define _cairo_gstate_set_font_size _moonlight_cairo_gstate_set_font_size
#define _cairo_gstate_set_line_cap _moonlight_cairo_gstate_set_line_cap
#define _cairo_gstate_set_line_join _moonlight_cairo_gstate_set_line_join
#define _cairo_gstate_set_line_width _moonlight_cairo_gstate_set_line_width
#define _cairo_gstate_set_matrix _moonlight_cairo_gstate_set_matrix
#define _cairo_gstate_set_miter_limit _moonlight_cairo_gstate_set_miter_limit
#define _cairo_gstate_set_operator _moonlight_cairo_gstate_set_operator
#define _cairo_gstate_set_source _moonlight_cairo_gstate_set_source
#define _cairo_gstate_set_tolerance _moonlight_cairo_gstate_set_tolerance
#define _cairo_gstate_show_glyphs _moonlight_cairo_gstate_show_glyphs
#define _cairo_gstate_show_page _moonlight_cairo_gstate_show_page
#define _cairo_gstate_stroke _moonlight_cairo_gstate_stroke
#define _cairo_gstate_stroke_extents _moonlight_cairo_gstate_stroke_extents
#define _cairo_gstate_text_to_glyphs _moonlight_cairo_gstate_text_to_glyphs
#define _cairo_gstate_transform _moonlight_cairo_gstate_transform
#define _cairo_gstate_transform_glyphs_to_backend _moonlight_cairo_gstate_transform_glyphs_to_backend
#define _cairo_gstate_translate _moonlight_cairo_gstate_translate
#define _cairo_gstate_traps_extents_to_user_rectangle _moonlight_cairo_gstate_traps_extents_to_user_rectangle
#define _cairo_gstate_unset_scaled_font _moonlight_cairo_gstate_unset_scaled_font
#define _cairo_gstate_user_to_backend _moonlight_cairo_gstate_user_to_backend
#define _cairo_gstate_user_to_device _moonlight_cairo_gstate_user_to_device
#define _cairo_gstate_user_to_device_distance _moonlight_cairo_gstate_user_to_device_distance
#define _cairo_hash_string _moonlight_cairo_hash_string
#define _cairo_hash_table_create _moonlight_cairo_hash_table_create
#define _cairo_hash_table_destroy _moonlight_cairo_hash_table_destroy
#define _cairo_hash_table_foreach _moonlight_cairo_hash_table_foreach
#define _cairo_hash_table_insert _moonlight_cairo_hash_table_insert
#define _cairo_hash_table_lookup _moonlight_cairo_hash_table_lookup
#define _cairo_hash_table_lookup_internal _moonlight_cairo_hash_table_lookup_internal
#define _cairo_hash_table_random_entry _moonlight_cairo_hash_table_random_entry
#define _cairo_hash_table_remove _moonlight_cairo_hash_table_remove
#define _cairo_hash_table_resize _moonlight_cairo_hash_table_resize
#define _cairo_hull_compute _moonlight_cairo_hull_compute
#define _cairo_hull_next_valid _moonlight_cairo_hull_next_valid
#define _cairo_hull_vertex_compare _moonlight_cairo_hull_vertex_compare
#define _cairo_image_analyze_transparency _moonlight_cairo_image_analyze_transparency
#define _cairo_image_surface_acquire_dest_image _moonlight_cairo_image_surface_acquire_dest_image
#define _cairo_image_surface_acquire_source_image _moonlight_cairo_image_surface_acquire_source_image
#define _cairo_image_surface_assume_ownership_of_data _moonlight_cairo_image_surface_assume_ownership_of_data
#define _cairo_image_surface_clone _moonlight_cairo_image_surface_clone
#define _cairo_image_surface_clone_similar _moonlight_cairo_image_surface_clone_similar
#define _cairo_image_surface_composite _moonlight_cairo_image_surface_composite
#define _cairo_image_surface_composite_trapezoids _moonlight_cairo_image_surface_composite_trapezoids
#define _cairo_image_surface_create_for_data_with_content _moonlight_cairo_image_surface_create_for_data_with_content
#define _cairo_image_surface_create_for_pixman_image _moonlight_cairo_image_surface_create_for_pixman_image
#define _cairo_image_surface_create_similar _moonlight_cairo_image_surface_create_similar
#define _cairo_image_surface_create_with_content _moonlight_cairo_image_surface_create_with_content
#define _cairo_image_surface_create_with_masks _moonlight_cairo_image_surface_create_with_masks
#define _cairo_image_surface_create_with_pixman_format _moonlight_cairo_image_surface_create_with_pixman_format
#define _cairo_image_surface_fill_rectangles _moonlight_cairo_image_surface_fill_rectangles
#define _cairo_image_surface_finish _moonlight_cairo_image_surface_finish
#define _cairo_image_surface_get_extents _moonlight_cairo_image_surface_get_extents
#define _cairo_image_surface_get_font_options _moonlight_cairo_image_surface_get_font_options
#define _cairo_image_surface_release_dest_image _moonlight_cairo_image_surface_release_dest_image
#define _cairo_image_surface_release_source_image _moonlight_cairo_image_surface_release_source_image
#define _cairo_image_surface_reset _moonlight_cairo_image_surface_reset
#define _cairo_image_surface_set_attributes _moonlight_cairo_image_surface_set_attributes
#define _cairo_image_surface_set_clip_region _moonlight_cairo_image_surface_set_clip_region
#define _cairo_int128_divrem _moonlight_cairo_int128_divrem
#define _cairo_int128_lt _moonlight_cairo_int128_lt
#define _cairo_int32_to_int128 _moonlight_cairo_int32_to_int128
#define _cairo_int64_divrem _moonlight_cairo_int64_divrem
#define _cairo_int64_to_int128 _moonlight_cairo_int64_to_int128
#define _cairo_int64x64_128_mul _moonlight_cairo_int64x64_128_mul
#define _cairo_int_96by64_32x64_divrem _moonlight_cairo_int_96by64_32x64_divrem
#define _cairo_lfsr_random_lut _moonlight_cairo_lfsr_random_lut
#define _cairo_lfsr_random_state _moonlight_cairo_lfsr_random_state
#define _cairo_lround _moonlight_cairo_lround
#define _cairo_lzw_compress _moonlight_cairo_lzw_compress
#define _cairo_matrix_compute_determinant _moonlight_cairo_matrix_compute_determinant
#define _cairo_matrix_compute_scale_factors _moonlight_cairo_matrix_compute_scale_factors
#define _cairo_matrix_get_affine _moonlight_cairo_matrix_get_affine
#define _cairo_matrix_is_identity _moonlight_cairo_matrix_is_identity
#define _cairo_matrix_is_integer_translation _moonlight_cairo_matrix_is_integer_translation
#define _cairo_matrix_is_invertible _moonlight_cairo_matrix_is_invertible
#define _cairo_matrix_is_translation _moonlight_cairo_matrix_is_translation
#define _cairo_matrix_to_pixman_matrix _moonlight_cairo_matrix_to_pixman_matrix
#define _cairo_matrix_transform_bounding_box _moonlight_cairo_matrix_transform_bounding_box
#define _cairo_matrix_transformed_circle_major_axis _moonlight_cairo_matrix_transformed_circle_major_axis
#define _cairo_memory_stream_copy _moonlight_cairo_memory_stream_copy
#define _cairo_memory_stream_create _moonlight_cairo_memory_stream_create
#define _cairo_memory_stream_length _moonlight_cairo_memory_stream_length
#define _cairo_meta_surface_acquire_source_image _moonlight_cairo_meta_surface_acquire_source_image
#define _cairo_meta_surface_create _moonlight_cairo_meta_surface_create
#define _cairo_meta_surface_create_similar _moonlight_cairo_meta_surface_create_similar
#define _cairo_meta_surface_fill _moonlight_cairo_meta_surface_fill
#define _cairo_meta_surface_finish _moonlight_cairo_meta_surface_finish
#define _cairo_meta_surface_get_extents _moonlight_cairo_meta_surface_get_extents
#define _cairo_meta_surface_intersect_clip_path _moonlight_cairo_meta_surface_intersect_clip_path
#define _cairo_meta_surface_mask _moonlight_cairo_meta_surface_mask
#define _cairo_meta_surface_paint _moonlight_cairo_meta_surface_paint
#define _cairo_meta_surface_release_source_image _moonlight_cairo_meta_surface_release_source_image
#define _cairo_meta_surface_replay _moonlight_cairo_meta_surface_replay
#define _cairo_meta_surface_replay_and_create_regions _moonlight_cairo_meta_surface_replay_and_create_regions
#define _cairo_meta_surface_replay_internal _moonlight_cairo_meta_surface_replay_internal
#define _cairo_meta_surface_replay_region _moonlight_cairo_meta_surface_replay_region
#define _cairo_meta_surface_show_glyphs _moonlight_cairo_meta_surface_show_glyphs
#define _cairo_meta_surface_snapshot _moonlight_cairo_meta_surface_snapshot
#define _cairo_meta_surface_stroke _moonlight_cairo_meta_surface_stroke
#define _cairo_nil _moonlight_cairo_nil
#define _cairo_operator_bounded_by_mask _moonlight_cairo_operator_bounded_by_mask
#define _cairo_operator_bounded_by_source _moonlight_cairo_operator_bounded_by_source
#define _cairo_output_stream_close _moonlight_cairo_output_stream_close
#define _cairo_output_stream_create _moonlight_cairo_output_stream_create
#define _cairo_output_stream_create_for_file _moonlight_cairo_output_stream_create_for_file
#define _cairo_output_stream_create_for_filename _moonlight_cairo_output_stream_create_for_filename
#define _cairo_output_stream_create_in_error _moonlight_cairo_output_stream_create_in_error
#define _cairo_output_stream_destroy _moonlight_cairo_output_stream_destroy
#define _cairo_output_stream_fini _moonlight_cairo_output_stream_fini
#define _cairo_output_stream_get_position _moonlight_cairo_output_stream_get_position
#define _cairo_output_stream_get_status _moonlight_cairo_output_stream_get_status
#define _cairo_output_stream_init _moonlight_cairo_output_stream_init
#define _cairo_output_stream_nil _moonlight_cairo_output_stream_nil
#define _cairo_output_stream_nil_write_error _moonlight_cairo_output_stream_nil_write_error
#define _cairo_output_stream_printf _moonlight_cairo_output_stream_printf
#define _cairo_output_stream_vprintf _moonlight_cairo_output_stream_vprintf
#define _cairo_output_stream_write _moonlight_cairo_output_stream_write
#define _cairo_output_stream_write_hex_string _moonlight_cairo_output_stream_write_hex_string
#define _cairo_paginated_surface_acquire_source_image _moonlight_cairo_paginated_surface_acquire_source_image
#define _cairo_paginated_surface_copy_page _moonlight_cairo_paginated_surface_copy_page
#define _cairo_paginated_surface_create _moonlight_cairo_paginated_surface_create
#define _cairo_paginated_surface_create_image_surface _moonlight_cairo_paginated_surface_create_image_surface
#define _cairo_paginated_surface_create_similar _moonlight_cairo_paginated_surface_create_similar
#define _cairo_paginated_surface_fill _moonlight_cairo_paginated_surface_fill
#define _cairo_paginated_surface_finish _moonlight_cairo_paginated_surface_finish
#define _cairo_paginated_surface_get_extents _moonlight_cairo_paginated_surface_get_extents
#define _cairo_paginated_surface_get_font_options _moonlight_cairo_paginated_surface_get_font_options
#define _cairo_paginated_surface_get_target _moonlight_cairo_paginated_surface_get_target
#define _cairo_paginated_surface_intersect_clip_path _moonlight_cairo_paginated_surface_intersect_clip_path
#define _cairo_paginated_surface_mask _moonlight_cairo_paginated_surface_mask
#define _cairo_paginated_surface_paint _moonlight_cairo_paginated_surface_paint
#define _cairo_paginated_surface_release_source_image _moonlight_cairo_paginated_surface_release_source_image
#define _cairo_paginated_surface_set_size _moonlight_cairo_paginated_surface_set_size
#define _cairo_paginated_surface_show_glyphs _moonlight_cairo_paginated_surface_show_glyphs
#define _cairo_paginated_surface_show_page _moonlight_cairo_paginated_surface_show_page
#define _cairo_paginated_surface_snapshot _moonlight_cairo_paginated_surface_snapshot
#define _cairo_paginated_surface_stroke _moonlight_cairo_paginated_surface_stroke
#define _cairo_path_append_to_context _moonlight_cairo_path_append_to_context
#define _cairo_path_bounder_add_point _moonlight_cairo_path_bounder_add_point
#define _cairo_path_bounder_close_path _moonlight_cairo_path_bounder_close_path
#define _cairo_path_bounder_line_to _moonlight_cairo_path_bounder_line_to
#define _cairo_path_bounder_move_to _moonlight_cairo_path_bounder_move_to
#define _cairo_path_buf_create _moonlight_cairo_path_buf_create
#define _cairo_path_create _moonlight_cairo_path_create
#define _cairo_path_create_flat _moonlight_cairo_path_create_flat
#define _cairo_path_create_in_error _moonlight_cairo_path_create_in_error
#define _cairo_path_create_internal _moonlight_cairo_path_create_internal
#define _cairo_path_fixed_add _moonlight_cairo_path_fixed_add
#define _cairo_path_fixed_add_buf _moonlight_cairo_path_fixed_add_buf
#define _cairo_path_fixed_bounds _moonlight_cairo_path_fixed_bounds
#define _cairo_path_fixed_close_path _moonlight_cairo_path_fixed_close_path
#define _cairo_path_fixed_create _moonlight_cairo_path_fixed_create
#define _cairo_path_fixed_curve_to _moonlight_cairo_path_fixed_curve_to
#define _cairo_path_fixed_destroy _moonlight_cairo_path_fixed_destroy
#define _cairo_path_fixed_device_transform _moonlight_cairo_path_fixed_device_transform
#define _cairo_path_fixed_fill_to_traps _moonlight_cairo_path_fixed_fill_to_traps
#define _cairo_path_fixed_fini _moonlight_cairo_path_fixed_fini
#define _cairo_path_fixed_get_current_point _moonlight_cairo_path_fixed_get_current_point
#define _cairo_path_fixed_init _moonlight_cairo_path_fixed_init
#define _cairo_path_fixed_init_copy _moonlight_cairo_path_fixed_init_copy
#define _cairo_path_fixed_interpret _moonlight_cairo_path_fixed_interpret
#define _cairo_path_fixed_interpret_flat _moonlight_cairo_path_fixed_interpret_flat
#define _cairo_path_fixed_is_box _moonlight_cairo_path_fixed_is_box
#define _cairo_path_fixed_is_empty _moonlight_cairo_path_fixed_is_empty
#define _cairo_path_fixed_is_equal _moonlight_cairo_path_fixed_is_equal
#define _cairo_path_fixed_is_rectangle _moonlight_cairo_path_fixed_is_rectangle
#define _cairo_path_fixed_line_to _moonlight_cairo_path_fixed_line_to
#define _cairo_path_fixed_move_to _moonlight_cairo_path_fixed_move_to
#define _cairo_path_fixed_new_sub_path _moonlight_cairo_path_fixed_new_sub_path
#define _cairo_path_fixed_rel_curve_to _moonlight_cairo_path_fixed_rel_curve_to
#define _cairo_path_fixed_rel_line_to _moonlight_cairo_path_fixed_rel_line_to
#define _cairo_path_fixed_rel_move_to _moonlight_cairo_path_fixed_rel_move_to
#define _cairo_path_fixed_stroke_to_traps _moonlight_cairo_path_fixed_stroke_to_traps
#define _cairo_path_nil _moonlight_cairo_path_nil
#define _cairo_pattern_acquire_surface _moonlight_cairo_pattern_acquire_surface
#define _cairo_pattern_acquire_surface_for_solid _moonlight_cairo_pattern_acquire_surface_for_solid
#define _cairo_pattern_acquire_surfaces _moonlight_cairo_pattern_acquire_surfaces
#define _cairo_pattern_add_color_stop _moonlight_cairo_pattern_add_color_stop
#define _cairo_pattern_create_copy _moonlight_cairo_pattern_create_copy
#define _cairo_pattern_create_solid _moonlight_cairo_pattern_create_solid
#define _cairo_pattern_fini _moonlight_cairo_pattern_fini
#define _cairo_pattern_get_extents _moonlight_cairo_pattern_get_extents
#define _cairo_pattern_init _moonlight_cairo_pattern_init
#define _cairo_pattern_init_copy _moonlight_cairo_pattern_init_copy
#define _cairo_pattern_init_for_surface _moonlight_cairo_pattern_init_for_surface
#define _cairo_pattern_init_gradient _moonlight_cairo_pattern_init_gradient
#define _cairo_pattern_init_linear _moonlight_cairo_pattern_init_linear
#define _cairo_pattern_init_radial _moonlight_cairo_pattern_init_radial
#define _cairo_pattern_init_solid _moonlight_cairo_pattern_init_solid
#define _cairo_pattern_is_opaque _moonlight_cairo_pattern_is_opaque
#define _cairo_pattern_is_opaque_solid _moonlight_cairo_pattern_is_opaque_solid
#define _cairo_pattern_nil _moonlight_cairo_pattern_nil
#define _cairo_pattern_nil_null_pointer _moonlight_cairo_pattern_nil_null_pointer
#define _cairo_pattern_release_surface _moonlight_cairo_pattern_release_surface
#define _cairo_pattern_reset_static_data _moonlight_cairo_pattern_reset_static_data
#define _cairo_pattern_set_error _moonlight_cairo_pattern_set_error
#define _cairo_pattern_solid_pattern_cache_lock _moonlight_cairo_pattern_solid_pattern_cache_lock
#define _cairo_pattern_solid_surface_cache_lock _moonlight_cairo_pattern_solid_surface_cache_lock
#define _cairo_pattern_solid_surface_matches _moonlight_cairo_pattern_solid_surface_matches
#define _cairo_pattern_transform _moonlight_cairo_pattern_transform
#define _cairo_pdf_group_resources_clear _moonlight_cairo_pdf_group_resources_clear
#define _cairo_pdf_operators_clip _moonlight_cairo_pdf_operators_clip
#define _cairo_pdf_operators_emit_path _moonlight_cairo_pdf_operators_emit_path
#define _cairo_pdf_operators_emit_stroke _moonlight_cairo_pdf_operators_emit_stroke
#define _cairo_pdf_operators_fill _moonlight_cairo_pdf_operators_fill
#define _cairo_pdf_operators_fill_stroke _moonlight_cairo_pdf_operators_fill_stroke
#define _cairo_pdf_operators_fini _moonlight_cairo_pdf_operators_fini
#define _cairo_pdf_operators_init _moonlight_cairo_pdf_operators_init
#define _cairo_pdf_operators_set_cairo_to_pdf_matrix _moonlight_cairo_pdf_operators_set_cairo_to_pdf_matrix
#define _cairo_pdf_operators_set_font_subsets_callback _moonlight_cairo_pdf_operators_set_font_subsets_callback
#define _cairo_pdf_operators_set_stream _moonlight_cairo_pdf_operators_set_stream
#define _cairo_pdf_operators_show_glyphs _moonlight_cairo_pdf_operators_show_glyphs
#define _cairo_pdf_operators_stroke _moonlight_cairo_pdf_operators_stroke
#define _cairo_pdf_path_close_path _moonlight_cairo_pdf_path_close_path
#define _cairo_pdf_path_curve_to _moonlight_cairo_pdf_path_curve_to
#define _cairo_pdf_path_line_to _moonlight_cairo_pdf_path_line_to
#define _cairo_pdf_path_move_to _moonlight_cairo_pdf_path_move_to
#define _cairo_pdf_smask_group_destroy _moonlight_cairo_pdf_smask_group_destroy
#define _cairo_pdf_surface_add_alpha _moonlight_cairo_pdf_surface_add_alpha
#define _cairo_pdf_surface_add_font _moonlight_cairo_pdf_surface_add_font
#define _cairo_pdf_surface_add_pattern _moonlight_cairo_pdf_surface_add_pattern
#define _cairo_pdf_surface_add_pdf_pattern _moonlight_cairo_pdf_surface_add_pdf_pattern
#define _cairo_pdf_surface_add_smask _moonlight_cairo_pdf_surface_add_smask
#define _cairo_pdf_surface_add_smask_group _moonlight_cairo_pdf_surface_add_smask_group
#define _cairo_pdf_surface_add_xobject _moonlight_cairo_pdf_surface_add_xobject
#define _cairo_pdf_surface_analyze_operation _moonlight_cairo_pdf_surface_analyze_operation
#define _cairo_pdf_surface_clear _moonlight_cairo_pdf_surface_clear
#define _cairo_pdf_surface_close_content_stream _moonlight_cairo_pdf_surface_close_content_stream
#define _cairo_pdf_surface_close_group _moonlight_cairo_pdf_surface_close_group
#define _cairo_pdf_surface_close_stream _moonlight_cairo_pdf_surface_close_stream
#define _cairo_pdf_surface_create_for_stream_internal _moonlight_cairo_pdf_surface_create_for_stream_internal
#define _cairo_pdf_surface_create_similar _moonlight_cairo_pdf_surface_create_similar
#define _cairo_pdf_surface_create_smask_group _moonlight_cairo_pdf_surface_create_smask_group
#define _cairo_pdf_surface_emit_cff_font _moonlight_cairo_pdf_surface_emit_cff_font
#define _cairo_pdf_surface_emit_group_resources _moonlight_cairo_pdf_surface_emit_group_resources
#define _cairo_pdf_surface_emit_pattern_stops _moonlight_cairo_pdf_surface_emit_pattern_stops
#define _cairo_pdf_surface_emit_repeating_function _moonlight_cairo_pdf_surface_emit_repeating_function
#define _cairo_pdf_surface_emit_scaled_font_subset _moonlight_cairo_pdf_surface_emit_scaled_font_subset
#define _cairo_pdf_surface_emit_stitched_colorgradient _moonlight_cairo_pdf_surface_emit_stitched_colorgradient
#define _cairo_pdf_surface_emit_surface_pattern _moonlight_cairo_pdf_surface_emit_surface_pattern
#define _cairo_pdf_surface_emit_to_unicode_stream _moonlight_cairo_pdf_surface_emit_to_unicode_stream
#define _cairo_pdf_surface_emit_type1_font _moonlight_cairo_pdf_surface_emit_type1_font
#define _cairo_pdf_surface_emit_unscaled_font_subset _moonlight_cairo_pdf_surface_emit_unscaled_font_subset
#define _cairo_pdf_surface_fill _moonlight_cairo_pdf_surface_fill
#define _cairo_pdf_surface_fill_stroke _moonlight_cairo_pdf_surface_fill_stroke
#define _cairo_pdf_surface_finish _moonlight_cairo_pdf_surface_finish
#define _cairo_pdf_surface_get_extents _moonlight_cairo_pdf_surface_get_extents
#define _cairo_pdf_surface_get_font_options _moonlight_cairo_pdf_surface_get_font_options
#define _cairo_pdf_surface_get_font_resource _moonlight_cairo_pdf_surface_get_font_resource
#define _cairo_pdf_surface_intersect_clip_path _moonlight_cairo_pdf_surface_intersect_clip_path
#define _cairo_pdf_surface_mask _moonlight_cairo_pdf_surface_mask
#define _cairo_pdf_surface_new_object _moonlight_cairo_pdf_surface_new_object
#define _cairo_pdf_surface_open_content_stream _moonlight_cairo_pdf_surface_open_content_stream
#define _cairo_pdf_surface_open_group _moonlight_cairo_pdf_surface_open_group
#define _cairo_pdf_surface_open_stream _moonlight_cairo_pdf_surface_open_stream
#define _cairo_pdf_surface_operation_supported _moonlight_cairo_pdf_surface_operation_supported
#define _cairo_pdf_surface_paint _moonlight_cairo_pdf_surface_paint
#define _cairo_pdf_surface_select_pattern _moonlight_cairo_pdf_surface_select_pattern
#define _cairo_pdf_surface_set_paginated_mode _moonlight_cairo_pdf_surface_set_paginated_mode
#define _cairo_pdf_surface_set_size_internal _moonlight_cairo_pdf_surface_set_size_internal
#define _cairo_pdf_surface_show_glyphs _moonlight_cairo_pdf_surface_show_glyphs
#define _cairo_pdf_surface_show_page _moonlight_cairo_pdf_surface_show_page
#define _cairo_pdf_surface_start_fallback _moonlight_cairo_pdf_surface_start_fallback
#define _cairo_pdf_surface_start_page _moonlight_cairo_pdf_surface_start_page
#define _cairo_pdf_surface_stroke _moonlight_cairo_pdf_surface_stroke
#define _cairo_pdf_surface_unselect_pattern _moonlight_cairo_pdf_surface_unselect_pattern
#define _cairo_pdf_surface_update_object _moonlight_cairo_pdf_surface_update_object
#define _cairo_pen_add_points _moonlight_cairo_pen_add_points
#define _cairo_pen_compute_slopes _moonlight_cairo_pen_compute_slopes
#define _cairo_pen_find_active_ccw_vertex_index _moonlight_cairo_pen_find_active_ccw_vertex_index
#define _cairo_pen_find_active_cw_vertex_index _moonlight_cairo_pen_find_active_cw_vertex_index
#define _cairo_pen_fini _moonlight_cairo_pen_fini
#define _cairo_pen_init _moonlight_cairo_pen_init
#define _cairo_pen_init_copy _moonlight_cairo_pen_init_copy
#define _cairo_pen_init_empty _moonlight_cairo_pen_init_empty
#define _cairo_pen_stroke_spline _moonlight_cairo_pen_stroke_spline
#define _cairo_pen_stroke_spline_half _moonlight_cairo_pen_stroke_spline_half
#define _cairo_polygon_add_edge _moonlight_cairo_polygon_add_edge
#define _cairo_polygon_close _moonlight_cairo_polygon_close
#define _cairo_polygon_fini _moonlight_cairo_polygon_fini
#define _cairo_polygon_init _moonlight_cairo_polygon_init
#define _cairo_polygon_line_to _moonlight_cairo_polygon_line_to
#define _cairo_polygon_move_to _moonlight_cairo_polygon_move_to
#define _cairo_polygon_status _moonlight_cairo_polygon_status
#define _cairo_ps_level_strings _moonlight_cairo_ps_level_strings
#define _cairo_ps_levels _moonlight_cairo_ps_levels
#define _cairo_ps_surface_acquire_surface _moonlight_cairo_ps_surface_acquire_surface
#define _cairo_ps_surface_analyze_operation _moonlight_cairo_ps_surface_analyze_operation
#define _cairo_ps_surface_create_for_stream_internal _moonlight_cairo_ps_surface_create_for_stream_internal
#define _cairo_ps_surface_create_similar _moonlight_cairo_ps_surface_create_similar
#define _cairo_ps_surface_emit_base85_string _moonlight_cairo_ps_surface_emit_base85_string
#define _cairo_ps_surface_emit_body _moonlight_cairo_ps_surface_emit_body
#define _cairo_ps_surface_emit_linear_colorgradient _moonlight_cairo_ps_surface_emit_linear_colorgradient
#define _cairo_ps_surface_emit_pattern _moonlight_cairo_ps_surface_emit_pattern
#define _cairo_ps_surface_emit_pattern_stops _moonlight_cairo_ps_surface_emit_pattern_stops
#define _cairo_ps_surface_emit_scaled_font_subset _moonlight_cairo_ps_surface_emit_scaled_font_subset
#define _cairo_ps_surface_emit_surface _moonlight_cairo_ps_surface_emit_surface
#define _cairo_ps_surface_emit_unscaled_font_subset _moonlight_cairo_ps_surface_emit_unscaled_font_subset
#define _cairo_ps_surface_fill _moonlight_cairo_ps_surface_fill
#define _cairo_ps_surface_finish _moonlight_cairo_ps_surface_finish
#define _cairo_ps_surface_flatten_transparency _moonlight_cairo_ps_surface_flatten_transparency
#define _cairo_ps_surface_get_extents _moonlight_cairo_ps_surface_get_extents
#define _cairo_ps_surface_get_font_options _moonlight_cairo_ps_surface_get_font_options
#define _cairo_ps_surface_intersect_clip_path _moonlight_cairo_ps_surface_intersect_clip_path
#define _cairo_ps_surface_operation_supported _moonlight_cairo_ps_surface_operation_supported
#define _cairo_ps_surface_paint _moonlight_cairo_ps_surface_paint
#define _cairo_ps_surface_paint_surface _moonlight_cairo_ps_surface_paint_surface
#define _cairo_ps_surface_set_bounding_box _moonlight_cairo_ps_surface_set_bounding_box
#define _cairo_ps_surface_set_paginated_mode _moonlight_cairo_ps_surface_set_paginated_mode
#define _cairo_ps_surface_show_glyphs _moonlight_cairo_ps_surface_show_glyphs
#define _cairo_ps_surface_show_page _moonlight_cairo_ps_surface_show_page
#define _cairo_ps_surface_start_page _moonlight_cairo_ps_surface_start_page
#define _cairo_ps_surface_stroke _moonlight_cairo_ps_surface_stroke
#define _cairo_rectangle_intersect _moonlight_cairo_rectangle_intersect
#define _cairo_rectangles_nil _moonlight_cairo_rectangles_nil
#define _cairo_rectangles_not_representable _moonlight_cairo_rectangles_not_representable
#define _cairo_rectilinear_stroker_close_path _moonlight_cairo_rectilinear_stroker_close_path
#define _cairo_rectilinear_stroker_emit_segments _moonlight_cairo_rectilinear_stroker_emit_segments
#define _cairo_rectilinear_stroker_line_to _moonlight_cairo_rectilinear_stroker_line_to
#define _cairo_rectilinear_stroker_move_to _moonlight_cairo_rectilinear_stroker_move_to
#define _cairo_region_boxes_fini _moonlight_cairo_region_boxes_fini
#define _cairo_region_contains_rectangle _moonlight_cairo_region_contains_rectangle
#define _cairo_region_copy _moonlight_cairo_region_copy
#define _cairo_region_fini _moonlight_cairo_region_fini
#define _cairo_region_get_boxes _moonlight_cairo_region_get_boxes
#define _cairo_region_get_extents _moonlight_cairo_region_get_extents
#define _cairo_region_init _moonlight_cairo_region_init
#define _cairo_region_init_boxes _moonlight_cairo_region_init_boxes
#define _cairo_region_init_rect _moonlight_cairo_region_init_rect
#define _cairo_region_intersect _moonlight_cairo_region_intersect
#define _cairo_region_not_empty _moonlight_cairo_region_not_empty
#define _cairo_region_num_boxes _moonlight_cairo_region_num_boxes
#define _cairo_region_subtract _moonlight_cairo_region_subtract
#define _cairo_region_translate _moonlight_cairo_region_translate
#define _cairo_region_union_rect _moonlight_cairo_region_union_rect
#define _cairo_restrict_value _moonlight_cairo_restrict_value
#define _cairo_scaled_font_create_in_error _moonlight_cairo_scaled_font_create_in_error
#define _cairo_scaled_font_error_mutex _moonlight_cairo_scaled_font_error_mutex
#define _cairo_scaled_font_fini _moonlight_cairo_scaled_font_fini
#define _cairo_scaled_font_freeze_cache _moonlight_cairo_scaled_font_freeze_cache
#define _cairo_scaled_font_glyph_device_extents _moonlight_cairo_scaled_font_glyph_device_extents
#define _cairo_scaled_font_glyph_path _moonlight_cairo_scaled_font_glyph_path
#define _cairo_scaled_font_init _moonlight_cairo_scaled_font_init
#define _cairo_scaled_font_init_key _moonlight_cairo_scaled_font_init_key
#define _cairo_scaled_font_is_ft _moonlight_cairo_scaled_font_is_ft
#define _cairo_scaled_font_keys_equal _moonlight_cairo_scaled_font_keys_equal
#define _cairo_scaled_font_map_destroy _moonlight_cairo_scaled_font_map_destroy
#define _cairo_scaled_font_map_lock _moonlight_cairo_scaled_font_map_lock
#define _cairo_scaled_font_map_mutex _moonlight_cairo_scaled_font_map_mutex
#define _cairo_scaled_font_map_unlock _moonlight_cairo_scaled_font_map_unlock
#define _cairo_scaled_font_nil _moonlight_cairo_scaled_font_nil
#define _cairo_scaled_font_nil_objects _moonlight_cairo_scaled_font_nil_objects
#define _cairo_scaled_font_reset_cache _moonlight_cairo_scaled_font_reset_cache
#define _cairo_scaled_font_reset_static_data _moonlight_cairo_scaled_font_reset_static_data
#define _cairo_scaled_font_set_error _moonlight_cairo_scaled_font_set_error
#define _cairo_scaled_font_set_metrics _moonlight_cairo_scaled_font_set_metrics
#define _cairo_scaled_font_show_glyphs _moonlight_cairo_scaled_font_show_glyphs
#define _cairo_scaled_font_subset_create_glyph_names _moonlight_cairo_scaled_font_subset_create_glyph_names
#define _cairo_scaled_font_subsets_create_composite _moonlight_cairo_scaled_font_subsets_create_composite
#define _cairo_scaled_font_subsets_create_internal _moonlight_cairo_scaled_font_subsets_create_internal
#define _cairo_scaled_font_subsets_create_scaled _moonlight_cairo_scaled_font_subsets_create_scaled
#define _cairo_scaled_font_subsets_create_simple _moonlight_cairo_scaled_font_subsets_create_simple
#define _cairo_scaled_font_subsets_destroy _moonlight_cairo_scaled_font_subsets_destroy
#define _cairo_scaled_font_subsets_foreach_internal _moonlight_cairo_scaled_font_subsets_foreach_internal
#define _cairo_scaled_font_subsets_foreach_scaled _moonlight_cairo_scaled_font_subsets_foreach_scaled
#define _cairo_scaled_font_subsets_foreach_unscaled _moonlight_cairo_scaled_font_subsets_foreach_unscaled
#define _cairo_scaled_font_subsets_map_glyph _moonlight_cairo_scaled_font_subsets_map_glyph
#define _cairo_scaled_font_text_to_glyphs _moonlight_cairo_scaled_font_text_to_glyphs
#define _cairo_scaled_font_thaw_cache _moonlight_cairo_scaled_font_thaw_cache
#define _cairo_scaled_glyph_destroy _moonlight_cairo_scaled_glyph_destroy
#define _cairo_scaled_glyph_keys_equal _moonlight_cairo_scaled_glyph_keys_equal
#define _cairo_scaled_glyph_lookup _moonlight_cairo_scaled_glyph_lookup
#define _cairo_scaled_glyph_set_metrics _moonlight_cairo_scaled_glyph_set_metrics
#define _cairo_scaled_glyph_set_path _moonlight_cairo_scaled_glyph_set_path
#define _cairo_scaled_glyph_set_surface _moonlight_cairo_scaled_glyph_set_surface
#define _cairo_set_error _moonlight_cairo_set_error
#define _cairo_skip_list_delete _moonlight_cairo_skip_list_delete
#define _cairo_skip_list_delete_given _moonlight_cairo_skip_list_delete_given
#define _cairo_skip_list_find _moonlight_cairo_skip_list_find
#define _cairo_skip_list_fini _moonlight_cairo_skip_list_fini
#define _cairo_skip_list_init _moonlight_cairo_skip_list_init
#define _cairo_skip_list_insert _moonlight_cairo_skip_list_insert
#define _cairo_slope_compare _moonlight_cairo_slope_compare
#define _cairo_slope_compare_sgn _moonlight_cairo_slope_compare_sgn
#define _cairo_slope_init _moonlight_cairo_slope_init
#define _cairo_spline_add_point _moonlight_cairo_spline_add_point
#define _cairo_spline_decompose _moonlight_cairo_spline_decompose
#define _cairo_spline_decompose_into _moonlight_cairo_spline_decompose_into
#define _cairo_spline_fini _moonlight_cairo_spline_fini
#define _cairo_spline_init _moonlight_cairo_spline_init
#define _cairo_stock_color _moonlight_cairo_stock_color
#define _cairo_string_equal _moonlight_cairo_string_equal
#define _cairo_string_init_key _moonlight_cairo_string_init_key
#define _cairo_stroke_style_fini _moonlight_cairo_stroke_style_fini
#define _cairo_stroke_style_init _moonlight_cairo_stroke_style_init
#define _cairo_stroke_style_init_copy _moonlight_cairo_stroke_style_init_copy
#define _cairo_stroke_style_max_distance_from_path _moonlight_cairo_stroke_style_max_distance_from_path
#define _cairo_stroker_add_cap _moonlight_cairo_stroker_add_cap
#define _cairo_stroker_add_caps _moonlight_cairo_stroker_add_caps
#define _cairo_stroker_add_leading_cap _moonlight_cairo_stroker_add_leading_cap
#define _cairo_stroker_add_sub_edge _moonlight_cairo_stroker_add_sub_edge
#define _cairo_stroker_add_trailing_cap _moonlight_cairo_stroker_add_trailing_cap
#define _cairo_stroker_close_path _moonlight_cairo_stroker_close_path
#define _cairo_stroker_curve_to _moonlight_cairo_stroker_curve_to
#define _cairo_stroker_curve_to_dashed _moonlight_cairo_stroker_curve_to_dashed
#define _cairo_stroker_join _moonlight_cairo_stroker_join
#define _cairo_stroker_line_to _moonlight_cairo_stroker_line_to
#define _cairo_stroker_line_to_dashed _moonlight_cairo_stroker_line_to_dashed
#define _cairo_stroker_move_to _moonlight_cairo_stroker_move_to
#define _cairo_stroker_move_to_dashed _moonlight_cairo_stroker_move_to_dashed
#define _cairo_stroker_start_dash _moonlight_cairo_stroker_start_dash
#define _cairo_sub_font_collect _moonlight_cairo_sub_font_collect
#define _cairo_sub_font_create _moonlight_cairo_sub_font_create
#define _cairo_sub_font_destroy _moonlight_cairo_sub_font_destroy
#define _cairo_sub_font_glyph_collect _moonlight_cairo_sub_font_glyph_collect
#define _cairo_sub_font_glyph_destroy _moonlight_cairo_sub_font_glyph_destroy
#define _cairo_sub_font_glyph_init_key _moonlight_cairo_sub_font_glyph_init_key
#define _cairo_sub_font_glyph_pluck _moonlight_cairo_sub_font_glyph_pluck
#define _cairo_sub_font_glyphs_equal _moonlight_cairo_sub_font_glyphs_equal
#define _cairo_sub_font_init_key _moonlight_cairo_sub_font_init_key
#define _cairo_sub_font_lookup_glyph _moonlight_cairo_sub_font_lookup_glyph
#define _cairo_sub_font_map_glyph _moonlight_cairo_sub_font_map_glyph
#define _cairo_sub_font_pluck _moonlight_cairo_sub_font_pluck
#define _cairo_sub_fonts_equal _moonlight_cairo_sub_fonts_equal
#define _cairo_surface_acquire_dest_image _moonlight_cairo_surface_acquire_dest_image
#define _cairo_surface_acquire_source_image _moonlight_cairo_surface_acquire_source_image
#define _cairo_surface_allocate_clip_serial _moonlight_cairo_surface_allocate_clip_serial
#define _cairo_surface_clone_similar _moonlight_cairo_surface_clone_similar
#define _cairo_surface_composite _moonlight_cairo_surface_composite
#define _cairo_surface_composite_fixup_unbounded _moonlight_cairo_surface_composite_fixup_unbounded
#define _cairo_surface_composite_fixup_unbounded_internal _moonlight_cairo_surface_composite_fixup_unbounded_internal
#define _cairo_surface_composite_shape_fixup_unbounded _moonlight_cairo_surface_composite_shape_fixup_unbounded
#define _cairo_surface_composite_trapezoids _moonlight_cairo_surface_composite_trapezoids
#define _cairo_surface_copy_pattern_for_destination _moonlight_cairo_surface_copy_pattern_for_destination
#define _cairo_surface_create_in_error _moonlight_cairo_surface_create_in_error
#define _cairo_surface_create_similar_scratch _moonlight_cairo_surface_create_similar_scratch
#define _cairo_surface_create_similar_solid _moonlight_cairo_surface_create_similar_solid
#define _cairo_surface_fallback_clone_similar _moonlight_cairo_surface_fallback_clone_similar
#define _cairo_surface_fallback_composite _moonlight_cairo_surface_fallback_composite
#define _cairo_surface_fallback_composite_trapezoids _moonlight_cairo_surface_fallback_composite_trapezoids
#define _cairo_surface_fallback_fill _moonlight_cairo_surface_fallback_fill
#define _cairo_surface_fallback_fill_rectangles _moonlight_cairo_surface_fallback_fill_rectangles
#define _cairo_surface_fallback_mask _moonlight_cairo_surface_fallback_mask
#define _cairo_surface_fallback_paint _moonlight_cairo_surface_fallback_paint
#define _cairo_surface_fallback_show_glyphs _moonlight_cairo_surface_fallback_show_glyphs
#define _cairo_surface_fallback_snapshot _moonlight_cairo_surface_fallback_snapshot
#define _cairo_surface_fallback_stroke _moonlight_cairo_surface_fallback_stroke
#define _cairo_surface_fill _moonlight_cairo_surface_fill
#define _cairo_surface_fill_rectangle _moonlight_cairo_surface_fill_rectangle
#define _cairo_surface_fill_rectangles _moonlight_cairo_surface_fill_rectangles
#define _cairo_surface_fill_region _moonlight_cairo_surface_fill_region
#define _cairo_surface_fill_stroke _moonlight_cairo_surface_fill_stroke
#define _cairo_surface_get_clip _moonlight_cairo_surface_get_clip
#define _cairo_surface_get_clip_mode _moonlight_cairo_surface_get_clip_mode
#define _cairo_surface_get_current_clip_serial _moonlight_cairo_surface_get_current_clip_serial
#define _cairo_surface_get_extents _moonlight_cairo_surface_get_extents
#define _cairo_surface_has_device_transform _moonlight_cairo_surface_has_device_transform
#define _cairo_surface_init _moonlight_cairo_surface_init
#define _cairo_surface_intersect_clip_path _moonlight_cairo_surface_intersect_clip_path
#define _cairo_surface_is_image _moonlight_cairo_surface_is_image
#define _cairo_surface_is_meta _moonlight_cairo_surface_is_meta
#define _cairo_surface_is_paginated _moonlight_cairo_surface_is_paginated
#define _cairo_surface_is_similar _moonlight_cairo_surface_is_similar
#define _cairo_surface_is_xlib _moonlight_cairo_surface_is_xlib
#define _cairo_surface_mask _moonlight_cairo_surface_mask
#define _cairo_surface_mask_draw_func _moonlight_cairo_surface_mask_draw_func
#define _cairo_surface_nil _moonlight_cairo_surface_nil
#define _cairo_surface_nil_file_not_found _moonlight_cairo_surface_nil_file_not_found
#define _cairo_surface_nil_invalid_content _moonlight_cairo_surface_nil_invalid_content
#define _cairo_surface_nil_invalid_format _moonlight_cairo_surface_nil_invalid_format
#define _cairo_surface_nil_invalid_stride _moonlight_cairo_surface_nil_invalid_stride
#define _cairo_surface_nil_invalid_visual _moonlight_cairo_surface_nil_invalid_visual
#define _cairo_surface_nil_read_error _moonlight_cairo_surface_nil_read_error
#define _cairo_surface_nil_temp_file_error _moonlight_cairo_surface_nil_temp_file_error
#define _cairo_surface_nil_write_error _moonlight_cairo_surface_nil_write_error
#define _cairo_surface_old_show_glyphs _moonlight_cairo_surface_old_show_glyphs
#define _cairo_surface_old_show_glyphs_draw_func _moonlight_cairo_surface_old_show_glyphs_draw_func
#define _cairo_surface_paint _moonlight_cairo_surface_paint
#define _cairo_surface_release_dest_image _moonlight_cairo_surface_release_dest_image
#define _cairo_surface_release_source_image _moonlight_cairo_surface_release_source_image
#define _cairo_surface_reset _moonlight_cairo_surface_reset
#define _cairo_surface_reset_clip _moonlight_cairo_surface_reset_clip
#define _cairo_surface_set_clip _moonlight_cairo_surface_set_clip
#define _cairo_surface_set_clip_path_recursive _moonlight_cairo_surface_set_clip_path_recursive
#define _cairo_surface_set_clip_region _moonlight_cairo_surface_set_clip_region
#define _cairo_surface_set_device_scale _moonlight_cairo_surface_set_device_scale
#define _cairo_surface_set_empty_clip_path _moonlight_cairo_surface_set_empty_clip_path
#define _cairo_surface_set_error _moonlight_cairo_surface_set_error
#define _cairo_surface_set_font_options _moonlight_cairo_surface_set_font_options
#define _cairo_surface_set_resolution _moonlight_cairo_surface_set_resolution
#define _cairo_surface_show_glyphs _moonlight_cairo_surface_show_glyphs
#define _cairo_surface_snapshot _moonlight_cairo_surface_snapshot
#define _cairo_surface_stroke _moonlight_cairo_surface_stroke
#define _cairo_svg_document_destroy _moonlight_cairo_svg_document_destroy
#define _cairo_svg_document_emit_font_subset _moonlight_cairo_svg_document_emit_font_subset
#define _cairo_svg_document_finish _moonlight_cairo_svg_document_finish
#define _cairo_svg_internal_version_strings _moonlight_cairo_svg_internal_version_strings
#define _cairo_svg_path_close_path _moonlight_cairo_svg_path_close_path
#define _cairo_svg_path_curve_to _moonlight_cairo_svg_path_curve_to
#define _cairo_svg_path_line_to _moonlight_cairo_svg_path_line_to
#define _cairo_svg_path_move_to _moonlight_cairo_svg_path_move_to
#define _cairo_svg_surface_analyze_operation _moonlight_cairo_svg_surface_analyze_operation
#define _cairo_svg_surface_copy_page _moonlight_cairo_svg_surface_copy_page
#define _cairo_svg_surface_create_for_document _moonlight_cairo_svg_surface_create_for_document
#define _cairo_svg_surface_create_for_stream_internal _moonlight_cairo_svg_surface_create_for_stream_internal
#define _cairo_svg_surface_create_similar _moonlight_cairo_svg_surface_create_similar
#define _cairo_svg_surface_emit_alpha_filter _moonlight_cairo_svg_surface_emit_alpha_filter
#define _cairo_svg_surface_emit_composite_pattern _moonlight_cairo_svg_surface_emit_composite_pattern
#define _cairo_svg_surface_emit_fill_style _moonlight_cairo_svg_surface_emit_fill_style
#define _cairo_svg_surface_emit_operator _moonlight_cairo_svg_surface_emit_operator
#define _cairo_svg_surface_emit_paint _moonlight_cairo_svg_surface_emit_paint
#define _cairo_svg_surface_emit_path _moonlight_cairo_svg_surface_emit_path
#define _cairo_svg_surface_emit_pattern _moonlight_cairo_svg_surface_emit_pattern
#define _cairo_svg_surface_emit_pattern_extend _moonlight_cairo_svg_surface_emit_pattern_extend
#define _cairo_svg_surface_emit_pattern_stops _moonlight_cairo_svg_surface_emit_pattern_stops
#define _cairo_svg_surface_emit_stroke_style _moonlight_cairo_svg_surface_emit_stroke_style
#define _cairo_svg_surface_emit_transform _moonlight_cairo_svg_surface_emit_transform
#define _cairo_svg_surface_fill _moonlight_cairo_svg_surface_fill
#define _cairo_svg_surface_fill_stroke _moonlight_cairo_svg_surface_fill_stroke
#define _cairo_svg_surface_finish _moonlight_cairo_svg_surface_finish
#define _cairo_svg_surface_get_extents _moonlight_cairo_svg_surface_get_extents
#define _cairo_svg_surface_get_font_options _moonlight_cairo_svg_surface_get_font_options
#define _cairo_svg_surface_intersect_clip_path _moonlight_cairo_svg_surface_intersect_clip_path
#define _cairo_svg_surface_mask _moonlight_cairo_svg_surface_mask
#define _cairo_svg_surface_operation_supported _moonlight_cairo_svg_surface_operation_supported
#define _cairo_svg_surface_paint _moonlight_cairo_svg_surface_paint
#define _cairo_svg_surface_set_paginated_mode _moonlight_cairo_svg_surface_set_paginated_mode
#define _cairo_svg_surface_show_glyphs _moonlight_cairo_svg_surface_show_glyphs
#define _cairo_svg_surface_show_page _moonlight_cairo_svg_surface_show_page
#define _cairo_svg_surface_store_page _moonlight_cairo_svg_surface_store_page
#define _cairo_svg_surface_stroke _moonlight_cairo_svg_surface_stroke
#define _cairo_svg_version_strings _moonlight_cairo_svg_version_strings
#define _cairo_svg_versions _moonlight_cairo_svg_versions
#define _cairo_toy_font_face_backend _moonlight_cairo_toy_font_face_backend
#define _cairo_toy_font_face_create _moonlight_cairo_toy_font_face_create
#define _cairo_toy_font_face_destroy _moonlight_cairo_toy_font_face_destroy
#define _cairo_toy_font_face_fini _moonlight_cairo_toy_font_face_fini
#define _cairo_toy_font_face_hash_table_lock _moonlight_cairo_toy_font_face_hash_table_lock
#define _cairo_toy_font_face_hash_table_unlock _moonlight_cairo_toy_font_face_hash_table_unlock
#define _cairo_toy_font_face_init_key _moonlight_cairo_toy_font_face_init_key
#define _cairo_toy_font_face_keys_equal _moonlight_cairo_toy_font_face_keys_equal
#define _cairo_toy_font_face_scaled_font_create _moonlight_cairo_toy_font_face_scaled_font_create
#define _cairo_trapezoid_array_translate_and_scale _moonlight_cairo_trapezoid_array_translate_and_scale
#define _cairo_traps_add_trap_from_points _moonlight_cairo_traps_add_trap_from_points
#define _cairo_traps_contain _moonlight_cairo_traps_contain
#define _cairo_traps_extents _moonlight_cairo_traps_extents
#define _cairo_traps_extract_region _moonlight_cairo_traps_extract_region
#define _cairo_traps_fini _moonlight_cairo_traps_fini
#define _cairo_traps_get_limit _moonlight_cairo_traps_get_limit
#define _cairo_traps_init _moonlight_cairo_traps_init
#define _cairo_traps_init_box _moonlight_cairo_traps_init_box
#define _cairo_traps_limit _moonlight_cairo_traps_limit
#define _cairo_traps_status _moonlight_cairo_traps_status
#define _cairo_traps_tessellate_convex_quad _moonlight_cairo_traps_tessellate_convex_quad
#define _cairo_traps_tessellate_triangle _moonlight_cairo_traps_tessellate_triangle
#define _cairo_traps_translate _moonlight_cairo_traps_translate
#define _cairo_truetype_create_glyph_to_unicode_map _moonlight_cairo_truetype_create_glyph_to_unicode_map
#define _cairo_truetype_font_set_error _moonlight_cairo_truetype_font_set_error
#define _cairo_truetype_subset_fini _moonlight_cairo_truetype_subset_fini
#define _cairo_truetype_subset_init _moonlight_cairo_truetype_subset_init
#define _cairo_type1_fallback_fini _moonlight_cairo_type1_fallback_fini
#define _cairo_type1_fallback_init_binary _moonlight_cairo_type1_fallback_init_binary
#define _cairo_type1_fallback_init_hex _moonlight_cairo_type1_fallback_init_hex
#define _cairo_type1_fallback_init_internal _moonlight_cairo_type1_fallback_init_internal
#define _cairo_type1_scaled_font_is_type1 _moonlight_cairo_type1_scaled_font_is_type1
#define _cairo_type1_subset_fini _moonlight_cairo_type1_subset_fini
#define _cairo_type1_subset_init _moonlight_cairo_type1_subset_init
#define _cairo_type2_charstrings_fini _moonlight_cairo_type2_charstrings_fini
#define _cairo_type2_charstrings_init _moonlight_cairo_type2_charstrings_init
#define _cairo_uint128_add _moonlight_cairo_uint128_add
#define _cairo_uint128_divrem _moonlight_cairo_uint128_divrem
#define _cairo_uint128_eq _moonlight_cairo_uint128_eq
#define _cairo_uint128_lsl _moonlight_cairo_uint128_lsl
#define _cairo_uint128_lt _moonlight_cairo_uint128_lt
#define _cairo_uint128_mul _moonlight_cairo_uint128_mul
#define _cairo_uint128_negate _moonlight_cairo_uint128_negate
#define _cairo_uint128_not _moonlight_cairo_uint128_not
#define _cairo_uint128_rsa _moonlight_cairo_uint128_rsa
#define _cairo_uint128_rsl _moonlight_cairo_uint128_rsl
#define _cairo_uint128_sub _moonlight_cairo_uint128_sub
#define _cairo_uint32_to_uint128 _moonlight_cairo_uint32_to_uint128
#define _cairo_uint64_divrem _moonlight_cairo_uint64_divrem
#define _cairo_uint64_to_uint128 _moonlight_cairo_uint64_to_uint128
#define _cairo_uint64x64_128_mul _moonlight_cairo_uint64x64_128_mul
#define _cairo_uint_96by64_32x64_divrem _moonlight_cairo_uint_96by64_32x64_divrem
#define _cairo_unscaled_font_destroy _moonlight_cairo_unscaled_font_destroy
#define _cairo_unscaled_font_init _moonlight_cairo_unscaled_font_init
#define _cairo_unscaled_font_is_ft _moonlight_cairo_unscaled_font_is_ft
#define _cairo_unscaled_font_reference _moonlight_cairo_unscaled_font_reference
#define _cairo_user_data_array_fini _moonlight_cairo_user_data_array_fini
#define _cairo_user_data_array_get_data _moonlight_cairo_user_data_array_get_data
#define _cairo_user_data_array_init _moonlight_cairo_user_data_array_init
#define _cairo_user_data_array_set_data _moonlight_cairo_user_data_array_set_data
#define _cairo_utf8_to_ucs4 _moonlight_cairo_utf8_to_ucs4
#define _cairo_xlib_add_close_display_hook _moonlight_cairo_xlib_add_close_display_hook
#define _cairo_xlib_close_display _moonlight_cairo_xlib_close_display
#define _cairo_xlib_display_destroy _moonlight_cairo_xlib_display_destroy
#define _cairo_xlib_display_get _moonlight_cairo_xlib_display_get
#define _cairo_xlib_display_list _moonlight_cairo_xlib_display_list
#define _cairo_xlib_display_mutex _moonlight_cairo_xlib_display_mutex
#define _cairo_xlib_display_notify _moonlight_cairo_xlib_display_notify
#define _cairo_xlib_display_queue_resource _moonlight_cairo_xlib_display_queue_resource
#define _cairo_xlib_display_queue_work _moonlight_cairo_xlib_display_queue_work
#define _cairo_xlib_display_reference _moonlight_cairo_xlib_display_reference
#define _cairo_xlib_remove_close_display_hooks _moonlight_cairo_xlib_remove_close_display_hooks
#define _cairo_xlib_render_free_glyphs _moonlight_cairo_xlib_render_free_glyphs
#define _cairo_xlib_scaled_glyph_get_glyphset_info _moonlight_cairo_xlib_scaled_glyph_get_glyphset_info
#define _cairo_xlib_screen_get_gc _moonlight_cairo_xlib_screen_get_gc
#define _cairo_xlib_screen_get_visual_info _moonlight_cairo_xlib_screen_get_visual_info
#define _cairo_xlib_screen_info_close_display _moonlight_cairo_xlib_screen_info_close_display
#define _cairo_xlib_screen_info_destroy _moonlight_cairo_xlib_screen_info_destroy
#define _cairo_xlib_screen_info_get _moonlight_cairo_xlib_screen_info_get
#define _cairo_xlib_screen_info_reference _moonlight_cairo_xlib_screen_info_reference
#define _cairo_xlib_screen_put_gc _moonlight_cairo_xlib_screen_put_gc
#define _cairo_xlib_surface_acquire_dest_image _moonlight_cairo_xlib_surface_acquire_dest_image
#define _cairo_xlib_surface_acquire_source_image _moonlight_cairo_xlib_surface_acquire_source_image
#define _cairo_xlib_surface_clone_similar _moonlight_cairo_xlib_surface_clone_similar
#define _cairo_xlib_surface_composite _moonlight_cairo_xlib_surface_composite
#define _cairo_xlib_surface_composite_trapezoids _moonlight_cairo_xlib_surface_composite_trapezoids
#define _cairo_xlib_surface_create_internal _moonlight_cairo_xlib_surface_create_internal
#define _cairo_xlib_surface_create_similar _moonlight_cairo_xlib_surface_create_similar
#define _cairo_xlib_surface_create_similar_with_format _moonlight_cairo_xlib_surface_create_similar_with_format
#define _cairo_xlib_surface_detach_display _moonlight_cairo_xlib_surface_detach_display
#define _cairo_xlib_surface_emit_glyphs_chunk _moonlight_cairo_xlib_surface_emit_glyphs_chunk
#define _cairo_xlib_surface_ensure_dst_picture _moonlight_cairo_xlib_surface_ensure_dst_picture
#define _cairo_xlib_surface_ensure_gc _moonlight_cairo_xlib_surface_ensure_gc
#define _cairo_xlib_surface_fill_rectangles _moonlight_cairo_xlib_surface_fill_rectangles
#define _cairo_xlib_surface_finish _moonlight_cairo_xlib_surface_finish
#define _cairo_xlib_surface_get_extents _moonlight_cairo_xlib_surface_get_extents
#define _cairo_xlib_surface_get_font_options _moonlight_cairo_xlib_surface_get_font_options
#define _cairo_xlib_surface_is_similar _moonlight_cairo_xlib_surface_is_similar
#define _cairo_xlib_surface_release_dest_image _moonlight_cairo_xlib_surface_release_dest_image
#define _cairo_xlib_surface_release_source_image _moonlight_cairo_xlib_surface_release_source_image
#define _cairo_xlib_surface_remove_scaled_font _moonlight_cairo_xlib_surface_remove_scaled_font
#define _cairo_xlib_surface_reset _moonlight_cairo_xlib_surface_reset
#define _cairo_xlib_surface_same_screen _moonlight_cairo_xlib_surface_same_screen
#define _cairo_xlib_surface_scaled_font_fini _moonlight_cairo_xlib_surface_scaled_font_fini
#define _cairo_xlib_surface_scaled_glyph_fini _moonlight_cairo_xlib_surface_scaled_glyph_fini
#define _cairo_xlib_surface_set_attributes _moonlight_cairo_xlib_surface_set_attributes
#define _cairo_xlib_surface_set_clip_region _moonlight_cairo_xlib_surface_set_clip_region
#define _cairo_xlib_surface_set_gc_clip_rects _moonlight_cairo_xlib_surface_set_gc_clip_rects
#define _cairo_xlib_surface_set_picture_clip_rects _moonlight_cairo_xlib_surface_set_picture_clip_rects
#define _cairo_xlib_surface_set_repeat _moonlight_cairo_xlib_surface_set_repeat
#define _cairo_xlib_surface_show_glyphs _moonlight_cairo_xlib_surface_show_glyphs
#define _cairo_xlib_visual_info_create _moonlight_cairo_xlib_visual_info_create
#define _cairo_xlib_visual_info_destroy _moonlight_cairo_xlib_visual_info_destroy
#define cairo_analysis_surface_backend moonlight_cairo_analysis_surface_backend
#define cairo_append_path moonlight_cairo_append_path
#define cairo_arc moonlight_cairo_arc
#define cairo_arc_negative moonlight_cairo_arc_negative
#define cairo_bo_event_compare_abstract moonlight_cairo_bo_event_compare_abstract
#define cairo_bo_event_compare_pointers moonlight_cairo_bo_event_compare_pointers
#define cairo_cff_font_create_cid_fontdict moonlight_cairo_cff_font_create_cid_fontdict
#define cairo_cff_font_destroy moonlight_cairo_cff_font_destroy
#define cairo_cff_font_read_global_subroutines moonlight_cairo_cff_font_read_global_subroutines
#define cairo_cff_font_read_header moonlight_cairo_cff_font_read_header
#define cairo_cff_font_read_name moonlight_cairo_cff_font_read_name
#define cairo_cff_font_read_private_dict moonlight_cairo_cff_font_read_private_dict
#define cairo_cff_font_read_strings moonlight_cairo_cff_font_read_strings
#define cairo_cff_font_read_top_dict moonlight_cairo_cff_font_read_top_dict
#define cairo_cff_font_set_ros_strings moonlight_cairo_cff_font_set_ros_strings
#define cairo_cff_font_set_topdict_operator_to_cur_pos moonlight_cairo_cff_font_set_topdict_operator_to_cur_pos
#define cairo_cff_font_subset_dict_strings moonlight_cairo_cff_font_subset_dict_strings
#define cairo_cff_font_write_charset moonlight_cairo_cff_font_write_charset
#define cairo_cff_font_write_charstrings moonlight_cairo_cff_font_write_charstrings
#define cairo_cff_font_write_cid_fontdict moonlight_cairo_cff_font_write_cid_fontdict
#define cairo_cff_font_write_cid_private_dict_and_local_sub moonlight_cairo_cff_font_write_cid_private_dict_and_local_sub
#define cairo_cff_font_write_fdselect moonlight_cairo_cff_font_write_fdselect
#define cairo_cff_font_write_global_subrs moonlight_cairo_cff_font_write_global_subrs
#define cairo_cff_font_write_header moonlight_cairo_cff_font_write_header
#define cairo_cff_font_write_local_sub moonlight_cairo_cff_font_write_local_sub
#define cairo_cff_font_write_name moonlight_cairo_cff_font_write_name
#define cairo_cff_font_write_private_dict moonlight_cairo_cff_font_write_private_dict
#define cairo_cff_font_write_strings moonlight_cairo_cff_font_write_strings
#define cairo_cff_font_write_subset moonlight_cairo_cff_font_write_subset
#define cairo_cff_font_write_top_dict moonlight_cairo_cff_font_write_top_dict
#define cairo_clip moonlight_cairo_clip
#define cairo_clip_extents moonlight_cairo_clip_extents
#define cairo_clip_preserve moonlight_cairo_clip_preserve
#define cairo_close_path moonlight_cairo_close_path
#define cairo_color_black moonlight_cairo_color_black
#define cairo_color_transparent moonlight_cairo_color_transparent
#define cairo_color_white moonlight_cairo_color_white
#define cairo_copy_clip_rectangle_list moonlight_cairo_copy_clip_rectangle_list
#define cairo_copy_page moonlight_cairo_copy_page
#define cairo_copy_path moonlight_cairo_copy_path
#define cairo_copy_path_flat moonlight_cairo_copy_path_flat
#define cairo_create moonlight_cairo_create
#define cairo_curve_to moonlight_cairo_curve_to
#define cairo_debug_reset_static_data moonlight_cairo_debug_reset_static_data
#define cairo_deflate_stream_deflate moonlight_cairo_deflate_stream_deflate
#define cairo_destroy moonlight_cairo_destroy
#define cairo_device_to_user moonlight_cairo_device_to_user
#define cairo_device_to_user_distance moonlight_cairo_device_to_user_distance
#define cairo_dict_write_operator moonlight_cairo_dict_write_operator
#define cairo_fill moonlight_cairo_fill
#define cairo_fill_extents moonlight_cairo_fill_extents
#define cairo_fill_preserve moonlight_cairo_fill_preserve
#define cairo_font_extents moonlight_cairo_font_extents
#define cairo_font_face_destroy moonlight_cairo_font_face_destroy
#define cairo_font_face_get_reference_count moonlight_cairo_font_face_get_reference_count
#define cairo_font_face_get_type moonlight_cairo_font_face_get_type
#define cairo_font_face_get_user_data moonlight_cairo_font_face_get_user_data
#define cairo_font_face_reference moonlight_cairo_font_face_reference
#define cairo_font_face_set_user_data moonlight_cairo_font_face_set_user_data
#define cairo_font_face_status moonlight_cairo_font_face_status
#define cairo_font_options_copy moonlight_cairo_font_options_copy
#define cairo_font_options_create moonlight_cairo_font_options_create
#define cairo_font_options_destroy moonlight_cairo_font_options_destroy
#define cairo_font_options_equal moonlight_cairo_font_options_equal
#define cairo_font_options_get_antialias moonlight_cairo_font_options_get_antialias
#define cairo_font_options_get_hint_metrics moonlight_cairo_font_options_get_hint_metrics
#define cairo_font_options_get_hint_style moonlight_cairo_font_options_get_hint_style
#define cairo_font_options_get_subpixel_order moonlight_cairo_font_options_get_subpixel_order
#define cairo_font_options_hash moonlight_cairo_font_options_hash
#define cairo_font_options_merge moonlight_cairo_font_options_merge
#define cairo_font_options_set_antialias moonlight_cairo_font_options_set_antialias
#define cairo_font_options_set_hint_metrics moonlight_cairo_font_options_set_hint_metrics
#define cairo_font_options_set_hint_style moonlight_cairo_font_options_set_hint_style
#define cairo_font_options_set_subpixel_order moonlight_cairo_font_options_set_subpixel_order
#define cairo_font_options_status moonlight_cairo_font_options_status
#define cairo_format_stride_for_width moonlight_cairo_format_stride_for_width
#define cairo_ft_font_face_create_for_ft_face moonlight_cairo_ft_font_face_create_for_ft_face
#define cairo_ft_font_face_create_for_pattern moonlight_cairo_ft_font_face_create_for_pattern
#define cairo_ft_font_options_substitute moonlight_cairo_ft_font_options_substitute
#define cairo_ft_scaled_font_backend moonlight_cairo_ft_scaled_font_backend
#define cairo_ft_scaled_font_lock_face moonlight_cairo_ft_scaled_font_lock_face
#define cairo_ft_scaled_font_unlock_face moonlight_cairo_ft_scaled_font_unlock_face
#define cairo_ft_unscaled_font_backend moonlight_cairo_ft_unscaled_font_backend
#define cairo_ft_unscaled_font_map moonlight_cairo_ft_unscaled_font_map
#define cairo_get_antialias moonlight_cairo_get_antialias
#define cairo_get_current_point moonlight_cairo_get_current_point
#define cairo_get_dash moonlight_cairo_get_dash
#define cairo_get_dash_count moonlight_cairo_get_dash_count
#define cairo_get_fill_rule moonlight_cairo_get_fill_rule
#define cairo_get_font_face moonlight_cairo_get_font_face
#define cairo_get_font_matrix moonlight_cairo_get_font_matrix
#define cairo_get_font_options moonlight_cairo_get_font_options
#define cairo_get_group_target moonlight_cairo_get_group_target
#define cairo_get_line_cap moonlight_cairo_get_line_cap
#define cairo_get_line_join moonlight_cairo_get_line_join
#define cairo_get_line_width moonlight_cairo_get_line_width
#define cairo_get_matrix moonlight_cairo_get_matrix
#define cairo_get_miter_limit moonlight_cairo_get_miter_limit
#define cairo_get_operator moonlight_cairo_get_operator
#define cairo_get_reference_count moonlight_cairo_get_reference_count
#define cairo_get_scaled_font moonlight_cairo_get_scaled_font
#define cairo_get_source moonlight_cairo_get_source
#define cairo_get_target moonlight_cairo_get_target
#define cairo_get_tolerance moonlight_cairo_get_tolerance
#define cairo_get_user_data moonlight_cairo_get_user_data
#define cairo_glyph_extents moonlight_cairo_glyph_extents
#define cairo_glyph_path moonlight_cairo_glyph_path
#define cairo_has_current_point moonlight_cairo_has_current_point
#define cairo_identity_matrix moonlight_cairo_identity_matrix
#define cairo_image_surface_backend moonlight_cairo_image_surface_backend
#define cairo_image_surface_create moonlight_cairo_image_surface_create
#define cairo_image_surface_create_for_data moonlight_cairo_image_surface_create_for_data
#define cairo_image_surface_create_from_png moonlight_cairo_image_surface_create_from_png
#define cairo_image_surface_create_from_png_stream moonlight_cairo_image_surface_create_from_png_stream
#define cairo_image_surface_get_data moonlight_cairo_image_surface_get_data
#define cairo_image_surface_get_format moonlight_cairo_image_surface_get_format
#define cairo_image_surface_get_height moonlight_cairo_image_surface_get_height
#define cairo_image_surface_get_stride moonlight_cairo_image_surface_get_stride
#define cairo_image_surface_get_width moonlight_cairo_image_surface_get_width
#define cairo_in_fill moonlight_cairo_in_fill
#define cairo_in_stroke moonlight_cairo_in_stroke
#define cairo_line_to moonlight_cairo_line_to
#define cairo_mask moonlight_cairo_mask
#define cairo_mask_surface moonlight_cairo_mask_surface
#define cairo_matrix_init moonlight_cairo_matrix_init
#define cairo_matrix_init_identity moonlight_cairo_matrix_init_identity
#define cairo_matrix_init_rotate moonlight_cairo_matrix_init_rotate
#define cairo_matrix_init_scale moonlight_cairo_matrix_init_scale
#define cairo_matrix_init_translate moonlight_cairo_matrix_init_translate
#define cairo_matrix_invert moonlight_cairo_matrix_invert
#define cairo_matrix_multiply moonlight_cairo_matrix_multiply
#define cairo_matrix_rotate moonlight_cairo_matrix_rotate
#define cairo_matrix_scale moonlight_cairo_matrix_scale
#define cairo_matrix_transform_distance moonlight_cairo_matrix_transform_distance
#define cairo_matrix_transform_point moonlight_cairo_matrix_transform_point
#define cairo_matrix_translate moonlight_cairo_matrix_translate
#define cairo_meta_surface_backend moonlight_cairo_meta_surface_backend
#define cairo_move_to moonlight_cairo_move_to
#define cairo_new_path moonlight_cairo_new_path
#define cairo_new_sub_path moonlight_cairo_new_sub_path
#define cairo_paginated_surface_backend moonlight_cairo_paginated_surface_backend
#define cairo_paint moonlight_cairo_paint
#define cairo_paint_with_alpha moonlight_cairo_paint_with_alpha
#define cairo_path_destroy moonlight_cairo_path_destroy
#define cairo_path_extents moonlight_cairo_path_extents
#define cairo_pattern_add_color_stop_rgb moonlight_cairo_pattern_add_color_stop_rgb
#define cairo_pattern_add_color_stop_rgba moonlight_cairo_pattern_add_color_stop_rgba
#define cairo_pattern_create_for_surface moonlight_cairo_pattern_create_for_surface
#define cairo_pattern_create_linear moonlight_cairo_pattern_create_linear
#define cairo_pattern_create_radial moonlight_cairo_pattern_create_radial
#define cairo_pattern_create_rgb moonlight_cairo_pattern_create_rgb
#define cairo_pattern_create_rgba moonlight_cairo_pattern_create_rgba
#define cairo_pattern_destroy moonlight_cairo_pattern_destroy
#define cairo_pattern_get_color_stop_count moonlight_cairo_pattern_get_color_stop_count
#define cairo_pattern_get_color_stop_rgba moonlight_cairo_pattern_get_color_stop_rgba
#define cairo_pattern_get_extend moonlight_cairo_pattern_get_extend
#define cairo_pattern_get_filter moonlight_cairo_pattern_get_filter
#define cairo_pattern_get_linear_points moonlight_cairo_pattern_get_linear_points
#define cairo_pattern_get_matrix moonlight_cairo_pattern_get_matrix
#define cairo_pattern_get_radial_circles moonlight_cairo_pattern_get_radial_circles
#define cairo_pattern_get_reference_count moonlight_cairo_pattern_get_reference_count
#define cairo_pattern_get_rgba moonlight_cairo_pattern_get_rgba
#define cairo_pattern_get_surface moonlight_cairo_pattern_get_surface
#define cairo_pattern_get_type moonlight_cairo_pattern_get_type
#define cairo_pattern_get_user_data moonlight_cairo_pattern_get_user_data
#define cairo_pattern_none moonlight_cairo_pattern_none
#define cairo_pattern_reference moonlight_cairo_pattern_reference
#define cairo_pattern_set_extend moonlight_cairo_pattern_set_extend
#define cairo_pattern_set_filter moonlight_cairo_pattern_set_filter
#define cairo_pattern_set_matrix moonlight_cairo_pattern_set_matrix
#define cairo_pattern_set_user_data moonlight_cairo_pattern_set_user_data
#define cairo_pattern_status moonlight_cairo_pattern_status
#define cairo_pdf_surface_backend moonlight_cairo_pdf_surface_backend
#define cairo_pdf_surface_create moonlight_cairo_pdf_surface_create
#define cairo_pdf_surface_create_for_stream moonlight_cairo_pdf_surface_create_for_stream
#define cairo_pdf_surface_emit_alpha_linear_function moonlight_cairo_pdf_surface_emit_alpha_linear_function
#define cairo_pdf_surface_emit_rgb_linear_function moonlight_cairo_pdf_surface_emit_rgb_linear_function
#define cairo_pdf_surface_emit_transparency_group moonlight_cairo_pdf_surface_emit_transparency_group
#define cairo_pdf_surface_paginated_backend moonlight_cairo_pdf_surface_paginated_backend
#define cairo_pdf_surface_set_size moonlight_cairo_pdf_surface_set_size
#define cairo_pop_group moonlight_cairo_pop_group
#define cairo_pop_group_to_source moonlight_cairo_pop_group_to_source
#define cairo_ps_get_levels moonlight_cairo_ps_get_levels
#define cairo_ps_level_to_string moonlight_cairo_ps_level_to_string
#define cairo_ps_surface_backend moonlight_cairo_ps_surface_backend
#define cairo_ps_surface_create moonlight_cairo_ps_surface_create
#define cairo_ps_surface_create_for_stream moonlight_cairo_ps_surface_create_for_stream
#define cairo_ps_surface_dsc_begin_page_setup moonlight_cairo_ps_surface_dsc_begin_page_setup
#define cairo_ps_surface_dsc_begin_setup moonlight_cairo_ps_surface_dsc_begin_setup
#define cairo_ps_surface_dsc_comment moonlight_cairo_ps_surface_dsc_comment
#define cairo_ps_surface_get_eps moonlight_cairo_ps_surface_get_eps
#define cairo_ps_surface_paginated_backend moonlight_cairo_ps_surface_paginated_backend
#define cairo_ps_surface_restrict_to_level moonlight_cairo_ps_surface_restrict_to_level
#define cairo_ps_surface_set_eps moonlight_cairo_ps_surface_set_eps
#define cairo_ps_surface_set_size moonlight_cairo_ps_surface_set_size
#define cairo_push_group moonlight_cairo_push_group
#define cairo_push_group_with_content moonlight_cairo_push_group_with_content
#define cairo_rectangle moonlight_cairo_rectangle
#define cairo_rectangle_list_destroy moonlight_cairo_rectangle_list_destroy
#define cairo_reference moonlight_cairo_reference
#define cairo_rel_curve_to moonlight_cairo_rel_curve_to
#define cairo_rel_line_to moonlight_cairo_rel_line_to
#define cairo_rel_move_to moonlight_cairo_rel_move_to
#define cairo_reset_clip moonlight_cairo_reset_clip
#define cairo_restore moonlight_cairo_restore
#define cairo_rotate moonlight_cairo_rotate
#define cairo_save moonlight_cairo_save
#define cairo_scale moonlight_cairo_scale
#define cairo_scaled_font_create moonlight_cairo_scaled_font_create
#define cairo_scaled_font_destroy moonlight_cairo_scaled_font_destroy
#define cairo_scaled_font_extents moonlight_cairo_scaled_font_extents
#define cairo_scaled_font_get_ctm moonlight_cairo_scaled_font_get_ctm
#define cairo_scaled_font_get_font_face moonlight_cairo_scaled_font_get_font_face
#define cairo_scaled_font_get_font_matrix moonlight_cairo_scaled_font_get_font_matrix
#define cairo_scaled_font_get_font_options moonlight_cairo_scaled_font_get_font_options
#define cairo_scaled_font_get_reference_count moonlight_cairo_scaled_font_get_reference_count
#define cairo_scaled_font_get_type moonlight_cairo_scaled_font_get_type
#define cairo_scaled_font_get_user_data moonlight_cairo_scaled_font_get_user_data
#define cairo_scaled_font_glyph_extents moonlight_cairo_scaled_font_glyph_extents
#define cairo_scaled_font_map moonlight_cairo_scaled_font_map
#define cairo_scaled_font_reference moonlight_cairo_scaled_font_reference
#define cairo_scaled_font_set_user_data moonlight_cairo_scaled_font_set_user_data
#define cairo_scaled_font_status moonlight_cairo_scaled_font_status
#define cairo_scaled_font_text_extents moonlight_cairo_scaled_font_text_extents
#define cairo_select_font_face moonlight_cairo_select_font_face
#define cairo_set_antialias moonlight_cairo_set_antialias
#define cairo_set_dash moonlight_cairo_set_dash
#define cairo_set_fill_rule moonlight_cairo_set_fill_rule
#define cairo_set_font_face moonlight_cairo_set_font_face
#define cairo_set_font_matrix moonlight_cairo_set_font_matrix
#define cairo_set_font_options moonlight_cairo_set_font_options
#define cairo_set_font_size moonlight_cairo_set_font_size
#define cairo_set_line_cap moonlight_cairo_set_line_cap
#define cairo_set_line_join moonlight_cairo_set_line_join
#define cairo_set_line_width moonlight_cairo_set_line_width
#define cairo_set_matrix moonlight_cairo_set_matrix
#define cairo_set_miter_limit moonlight_cairo_set_miter_limit
#define cairo_set_operator moonlight_cairo_set_operator
#define cairo_set_scaled_font moonlight_cairo_set_scaled_font
#define cairo_set_source moonlight_cairo_set_source
#define cairo_set_source_rgb moonlight_cairo_set_source_rgb
#define cairo_set_source_rgba moonlight_cairo_set_source_rgba
#define cairo_set_source_surface moonlight_cairo_set_source_surface
#define cairo_set_tolerance moonlight_cairo_set_tolerance
#define cairo_set_user_data moonlight_cairo_set_user_data
#define cairo_show_glyphs moonlight_cairo_show_glyphs
#define cairo_show_page moonlight_cairo_show_page
#define cairo_show_text moonlight_cairo_show_text
#define cairo_status moonlight_cairo_status
#define cairo_status_to_string moonlight_cairo_status_to_string
#define cairo_stroke moonlight_cairo_stroke
#define cairo_stroke_extents moonlight_cairo_stroke_extents
#define cairo_stroke_preserve moonlight_cairo_stroke_preserve
#define cairo_surface_copy_page moonlight_cairo_surface_copy_page
#define cairo_surface_create_similar moonlight_cairo_surface_create_similar
#define cairo_surface_destroy moonlight_cairo_surface_destroy
#define cairo_surface_finish moonlight_cairo_surface_finish
#define cairo_surface_flush moonlight_cairo_surface_flush
#define cairo_surface_get_content moonlight_cairo_surface_get_content
#define cairo_surface_get_device_offset moonlight_cairo_surface_get_device_offset
#define cairo_surface_get_font_options moonlight_cairo_surface_get_font_options
#define cairo_surface_get_reference_count moonlight_cairo_surface_get_reference_count
#define cairo_surface_get_type moonlight_cairo_surface_get_type
#define cairo_surface_get_user_data moonlight_cairo_surface_get_user_data
#define cairo_surface_mark_dirty moonlight_cairo_surface_mark_dirty
#define cairo_surface_mark_dirty_rectangle moonlight_cairo_surface_mark_dirty_rectangle
#define cairo_surface_reference moonlight_cairo_surface_reference
#define cairo_surface_set_device_offset moonlight_cairo_surface_set_device_offset
#define cairo_surface_set_fallback_resolution moonlight_cairo_surface_set_fallback_resolution
#define cairo_surface_set_user_data moonlight_cairo_surface_set_user_data
#define cairo_surface_show_page moonlight_cairo_surface_show_page
#define cairo_surface_status moonlight_cairo_surface_status
#define cairo_surface_write_to_png moonlight_cairo_surface_write_to_png
#define cairo_surface_write_to_png_stream moonlight_cairo_surface_write_to_png_stream
#define cairo_svg_get_versions moonlight_cairo_svg_get_versions
#define cairo_svg_surface_backend moonlight_cairo_svg_surface_backend
#define cairo_svg_surface_create moonlight_cairo_svg_surface_create
#define cairo_svg_surface_create_for_stream moonlight_cairo_svg_surface_create_for_stream
#define cairo_svg_surface_paginated_backend moonlight_cairo_svg_surface_paginated_backend
#define cairo_svg_surface_restrict_to_version moonlight_cairo_svg_surface_restrict_to_version
#define cairo_svg_version_to_string moonlight_cairo_svg_version_to_string
#define cairo_text_extents moonlight_cairo_text_extents
#define cairo_text_path moonlight_cairo_text_path
#define cairo_toy_font_face_hash_table moonlight_cairo_toy_font_face_hash_table
#define cairo_transform moonlight_cairo_transform
#define cairo_translate moonlight_cairo_translate
#define cairo_truetype_font_add_truetype_table moonlight_cairo_truetype_font_add_truetype_table
#define cairo_truetype_font_align_output moonlight_cairo_truetype_font_align_output
#define cairo_truetype_font_allocate_write_buffer moonlight_cairo_truetype_font_allocate_write_buffer
#define cairo_truetype_font_calculate_checksum moonlight_cairo_truetype_font_calculate_checksum
#define cairo_truetype_font_check_boundary moonlight_cairo_truetype_font_check_boundary
#define cairo_truetype_font_destroy moonlight_cairo_truetype_font_destroy
#define cairo_truetype_font_use_glyph moonlight_cairo_truetype_font_use_glyph
#define cairo_truetype_font_write moonlight_cairo_truetype_font_write
#define cairo_truetype_font_write_be16 moonlight_cairo_truetype_font_write_be16
#define cairo_truetype_font_write_be32 moonlight_cairo_truetype_font_write_be32
#define cairo_truetype_font_write_cmap_table moonlight_cairo_truetype_font_write_cmap_table
#define cairo_truetype_font_write_generic_table moonlight_cairo_truetype_font_write_generic_table
#define cairo_truetype_font_write_glyf_table moonlight_cairo_truetype_font_write_glyf_table
#define cairo_truetype_font_write_head_table moonlight_cairo_truetype_font_write_head_table
#define cairo_truetype_font_write_hhea_table moonlight_cairo_truetype_font_write_hhea_table
#define cairo_truetype_font_write_hmtx_table moonlight_cairo_truetype_font_write_hmtx_table
#define cairo_truetype_font_write_loca_table moonlight_cairo_truetype_font_write_loca_table
#define cairo_truetype_font_write_maxp_table moonlight_cairo_truetype_font_write_maxp_table
#define cairo_type1_font_create moonlight_cairo_type1_font_create
#define cairo_type1_font_create_charstring moonlight_cairo_type1_font_create_charstring
#define cairo_type1_font_destroy moonlight_cairo_type1_font_destroy
#define cairo_type1_font_subset_destroy moonlight_cairo_type1_font_subset_destroy
#define cairo_type1_font_subset_for_each_glyph moonlight_cairo_type1_font_subset_for_each_glyph
#define cairo_type1_font_subset_get_glyph_names_and_widths moonlight_cairo_type1_font_subset_get_glyph_names_and_widths
#define cairo_type1_font_subset_look_for_seac moonlight_cairo_type1_font_subset_look_for_seac
#define cairo_type1_font_subset_lookup_glyph moonlight_cairo_type1_font_subset_lookup_glyph
#define cairo_type1_font_subset_use_glyph moonlight_cairo_type1_font_subset_use_glyph
#define cairo_type1_font_subset_write_encrypted moonlight_cairo_type1_font_subset_write_encrypted
#define cairo_type1_write_stream moonlight_cairo_type1_write_stream
#define cairo_type1_write_stream_encrypted moonlight_cairo_type1_write_stream_encrypted
#define cairo_user_to_device moonlight_cairo_user_to_device
#define cairo_user_to_device_distance moonlight_cairo_user_to_device_distance
#define cairo_version moonlight_cairo_version
#define cairo_version_string moonlight_cairo_version_string
#define cairo_xlib_surface_backend moonlight_cairo_xlib_surface_backend
#define cairo_xlib_surface_create moonlight_cairo_xlib_surface_create
#define cairo_xlib_surface_create_for_bitmap moonlight_cairo_xlib_surface_create_for_bitmap
#define cairo_xlib_surface_create_with_xrender_format moonlight_cairo_xlib_surface_create_with_xrender_format
#define cairo_xlib_surface_get_depth moonlight_cairo_xlib_surface_get_depth
#define cairo_xlib_surface_get_display moonlight_cairo_xlib_surface_get_display
#define cairo_xlib_surface_get_drawable moonlight_cairo_xlib_surface_get_drawable
#define cairo_xlib_surface_get_height moonlight_cairo_xlib_surface_get_height
#define cairo_xlib_surface_get_screen moonlight_cairo_xlib_surface_get_screen
#define cairo_xlib_surface_get_visual moonlight_cairo_xlib_surface_get_visual
#define cairo_xlib_surface_get_width moonlight_cairo_xlib_surface_get_width
#define cairo_xlib_surface_get_xrender_format moonlight_cairo_xlib_surface_get_xrender_format
#define cairo_xlib_surface_set_drawable moonlight_cairo_xlib_surface_set_drawable
#define cairo_xlib_surface_set_size moonlight_cairo_xlib_surface_set_size
#endif
